100 REMark boot for MIDIPlayer version 2.  Loads required Toolkits and allows setting of print size and color, RunStatus, and InitTime. Then calls main program MIDIPlayer.
110 REMark MIDIPlayer reads Standard MIDI Files (SMF) and plays them on your synth using Simon N. Goodwin's DIY_MIDI keywords. It is designed for GM synths, but some provision is made for non-GM synths. See MIDIPlayer_txt
120 REMark Copyright 17 Feb 2000 by A.Boehm
130 REMark All may use provided no change, or new name given to changed version.
140 REMark That is, only this orignal boot should be copied for someone else.  You are, of course, free to vary the defaults below for your system.
150 REMark this boot can also be merged with MIDIPlayer_bas to run in interpreted SuperBasic. REMark out line 500.
160 :
170 REMark  Change device/directory for your system. See SET below.
180 KeyDevDir$='flp1_': REMark Device/directory for loading keywords.
190 EXdevdir$= 'flp1_':REMark  Device/directory that MIDIPlayer_exe is on
200 :
210 TK2_EXT:REMark REM this out if Toolkit II already active on your system
220 REMark                LOAD TOOLKITS
230 LRESPR KeyDevDir$ & 'midi2e_bin':REMark Latest version is 2e. This may change.
240 LRESPR KeyDevDir$ & 'Turbo_TK_code':REMark Turbo extensions
250 REMark SET sets defaults in boot for use in main program.
260 REMark VER$='HBA' means system is SMS
270 IF VER$='HBA' THEN
280     LRESPR KeyDevDir$ & 'DEC99_SET_bin': REMark by George Gwilt. Works only on SMS.
290 ELSE
300     LRESPR KeyDevDir$ & 'DIY_SET_code': REMark by Simon N. Goodwin. Works only on QDOS or Minerva. Is cardware, that is, send a post card to Simon for legal use. See MIDIPlayer_txt
310 END IF
320 :
330 MIDI_RATE 121:REMark value adjusts for speed of system. Try 40 for GC, 121 for SGC, 5 for Trump 1 and PCML ram+disk, or 8 for CST RAM+ and Trump Card 2.
340 :
350 REMark  Set defaults. Be careful not to set the paper and ink colors the same!
360 REMark WARNING.  SET can only be used once during a session. Skip these if doing multiple runs, they will remain set.
370 SET PaperColor TO 4
380 SET InkColor TO 0
390 SET StripColor TO 2
400 SET stripInk TO 0
410 SET Lsize TO 0: REMark =0 gives regular size prints, =1 gives large prints. Only 0 or 1 allowed.
420 SET SkipPrint TO 1: REMark =1 prints MIDI meta events (e.g. comments) to screen. =0 no print.
430 SET MidiDevDir$ TO 'FLP1_':REMark default dev/dir for getting midi fils
440 SET MapDevDir$ TO 'FLP1_':REMark default dev/dir for getting MIDI MAP files
450 SET RunStatus$ TO 'YES':REMark Set to 'NO' if your synth can not handle running status. Most new ones can.
460 SET InitTime TO 1:REMark This is time in frames (1/50 second) to allow synth to initialize first MIDI commands. 1 is fine for most new synths. Try 5 or 10 if your older synth seems not properly set up. Could vary by song since some songs send many MIDI initializations.
470 SET SynthReset$ TO CHR$(240)&CHR$(126)&CHR$(127)&CHR$(9)&CHR$(1)&CHR$(247):REMark this is a General MIDI reset. Your synth may use a different reset string.  For a overall reset SET SynthReset$ TO CHR$(255)
480 SET StoreMsg$ TO 'ram1_MIDImsg_txt':REMark If a file name is given, SMF file description and MIDI text messages are written to it. These can be read by any text reader even while a compiled MIDIPlayer is playing. If SET TO 'NO' no Ram file is opened.
490 :
500 EX EXdevdir$ & 'MIDIPlayer_exe' : REMark rem this line out if using interpreted SuperBasic by merging MIDIPlayer_bas
