100 REMark QL_SheaReflectLess3_bas for GG#12  H.L. Schaaf August 25, 1999
110 MODE 4 : WTV  : REMark 4 colors, window 448 wide, 202 high
120 vert_scale = 300 : graspix = 476/645
130 IF VER$=="JSU" THEN graspix = 344/549
140 horz_width = (vert_scale/(202-1))*(448-1)*graspix
150 SCALE vert_scale,-horz_width/2,-vert_scale/2 : PAPER 4 : INK 0 : CLS
160 large_number = 2^1000 : ref_line = 0 : circ_parts = 42
170 :
180 set_letter_arrays : REMark 3 arrays :  Q_oval, Q_curl, and L_legs
190 :
200 REPeat options
210  CLS : i_nk = 0 : INK i_nk : draw_letters : show_x_y_axes
220  get_options
230  IF (ref_line) : i_nk = 7 : show_reference_line
260  IF choice_made  THEN
270   i_nk = 2 : draw_letters : i_nk =  44 : show_x_y_axes
280  END IF
290  PRINT#0\\,,"touch [spacebar] for menu" : PAUSE
300  ref_line = 0
310 END REPeat options
320 :
330 DEFine PROCedure set_letter_arrays
340  DIM Q_oval(2,circ_parts,2) : REMark Q ovals
350  FOR i = 0 TO circ_parts
360 REMark 1 for outside of Q oval
370   Q_oval(1,i,1)= 40 + COS(PI*2*(i/circ_parts))*40*.8
380   Q_oval(1,i,2)= 50 + SIN(PI*2*(i/circ_parts))*40
390 REMark 2 for inside of Q oval
400   Q_oval(2,i,1)= 40 + COS(PI*2*(i/circ_parts))*30*.8
410   Q_oval(2,i,2)= 50 + SIN(PI*2*(i/circ_parts))*30
420  END FOR i
430 :
440 REMark 4 arcs (and 2 lines) for the Q curlicue
450 DIM curl_data(4,5) : REMark for the curlicue in Q
460 RESTORE 470
470  DATA 74.81073,  34.08263,  27.50658, 259.9275,  223.9275
480  DATA 29.61158, -10.77684,  36.18034,  45.43495,  81.43495
490  DATA 46.46447,   9.393398, 20.65857,  94.06505,  49.06505
500  DATA 82.07107,  44.14214,  29.21564, 220.9349,  265.9349
510 FOR i = 1 TO 4
520  FOR j = 1 TO 5 : READ curl_data(i,j)
530  FOR j = 4, 5 : curl_data(i,j) = RAD(curl_data(i,j))
540  curl_data(i,0) = curl_data(i,5) - curl_data(i,4)
550  curl_data(0,i) = curl_data(i,0) / (2*PI) * circ_parts
560  curl_data(0,0) = curl_data(0,0) + INT(ABS(curl_data(0,i))) + 1
570 END FOR i
580 curl_parts= INT(curl_data(0,0) / 4) + 1
590 curl_data(0,0) = (4 * (curl_parts) )+ 1
600 REMark with 4 sets of data, keep track with curl_count
610 curl_count = 0
620 :
630 DIM Q_curl(curl_data(0,0),2)
640 REMark get center x and y, radius, start_angle, end_angle
660  FOR curl_num= 1 TO 4
670   x_c = curl_data(curl_num,1) : y_c = curl_data(curl_num,2)
680   radius = curl_data(curl_num,3)
690   begin_at = curl_data(curl_num,4) : end_at = curl_data(curl_num,5)
700   FOR i = 0 +((curl_num==2) OR (curl_num== 4)) TO curl_parts
710    angle = begin_at + curl_data(curl_num,0) * i / curl_parts
720    Q_curl(curl_count, 1) = x_c + COS(angle) * radius
730    Q_curl(curl_count, 2) = y_c + SIN(angle) * radius
740    curl_count = curl_count+1
750   END FOR i
760  END FOR curl_num
770  curl_count = curl_count -1
780 :
790  DIM L_legs(7,2) : RESTORE 800 : REMark letter L
800  DATA  134,20 , 98,20 , 90,10 , 134,10
810  DATA   98,20 , 90,10 , 90,90 , 98,90
820  FOR i = 0 TO 7
830   FOR j = 1 TO 2
840    READ L_legs(i,j)
850   END FOR j
860  END FOR i
870 :
880 END DEFine set_letters_arrays
890 :
900 DEFine FuNction SGN(n)
910  RETurn (n>0)-(n<0)
920 END DEFine SGN
930 :
940 DEFine PROCedure draw_letters
950  INK i_nk : FILL 1
960  POINT Q_oval(1,circ_parts,1),Q_oval(1,circ_parts,2)
970  FOR i = 0 TO circ_parts : LINE TO Q_oval(1,i,1), Q_oval(1,i,2)
980  INK 4 : FILL 1 : POINT Q_oval(2,circ_parts,1), Q_oval(2,circ_parts,2)
990  FOR i = 0 TO circ_parts : LINE TO Q_oval(2,i,1), Q_oval(2,i,2)
1000  INK i_nk : FILL 1 : POINT Q_curl(curl_count,1),Q_curl(curl_count,2)
1010  FOR i = 0 TO curl_count : LINE TO Q_curl(i,1), Q_curl(i,2)
1020  FILL 1 : POINT L_legs(3,1), L_legs(3,2)
1030  FOR i = 0 TO 3 : LINE TO L_legs(i,1), L_legs(i,2)
1040  FILL 1 : POINT L_legs(7,1), L_legs(7,2)
1050  FOR i = 4 TO 7 : LINE TO L_legs(i,1), L_legs(i,2)
1060  FILL 0
1070 END DEFine draw_letters
1080 :
1090 DEFine PROCedure show_x_y_axes
1100  INK i_nk
1110  LINE -vert_scale,0 TO vert_scale,0
1120  LINE 0, -vert_scale TO 0, vert_scale
1130 END DEFine show_x_y_axes
1140 :
1150 DEFine FuNction Point_to_line2D (x,y, A, B, C)
1160  vert_line = 0 : horz_line = 0 : crosses_origin = 0 :is_line = 1
1170  IF NOT SGN(A) : horz_line = 1
1180  IF NOT SGN(B) : vert_line = 1
1190  IF NOT SGN(C) : crosses_origin = 1
1200  IF ((vert_line) AND (horz_line)) : is_line = 0 :PTL = 0
1210  IF (is_line) THEN
1220   IF (vert_line) THEN
1230    PTL = (-C/A) - x
1240   ELSE
1250    PTL = (A*x + B*y + C)/(SGN(B)*SQRT((A*A)+(B*B)))
1260   END IF
1270  ELSE
1280   PRINT #0;"Null coefficients for A and B, can't be a line." :PAUSE
1290  END IF
1300  RETurn PTL
1310  RETurn vert_line
1320  RETurn horz_line
1330  RETurn crosses_origin
1340 END DEFine Point_to_line2D
1350 :
1360 DEFine PROCedure transform_array(array)
1370  FOR i = 0 TO DIMN(array)
1380   SELect ON choice_made
1390    = 1 : x = array(i,1)*cos_rot - array(i,2)*sin_rot
1400          y = array(i,1)*sin_rot + array(i,2)*cos_rot
1410          array(i,1) = x  : array(i,2) = y
1420    = 2 : array(i,axis_num) = array(i,axis_num) + translate_amt
1430    = 3 : FOR j = 1 TO 2
1440           array(i,j) = array(i,j) * zoom_factor
1450          END FOR j
1460    = 4 : x_cl = project_on_line(array(i,1),array(i,2),A,B,C)
1470          array(i,1) = x_s : array(i,2) = y_s
1480    = 5 : x_cl = project_on_line(array(i,1),array(i,2),A,B,C)
1490          array(i,1) = x_m  : array(i,2) = y_m
1880    = REMAINDER : PRINT #0;"What's next ? ":STOP
1890   END SELect
1900  END FOR i
1910 END DEFine transform_array
1920 :
1930 DEFine FuNction project_on_line (x,y,A,B,C)
1940  PTL = Point_to_line2D(x, y, A, B, C)
1950  IF (B) THEN
1960   IF (A) THEN
1970    m = -A/B : y_i = -C/B : yp_i = y - (-x/m) : slope_angle = ATAN(m)
1980    x_pt = (yp_i - y_i)/(m+(1/m)) : y_pt = (-1/m) * x_pt + yp_i
1990   ELSE
2000    m = 0 : slope_angle = 0 : y_i = -C : yp_i = -C
2010    x_pt = x : y_pt = -C
2020   END IF
2030  ELSE
2040   m = large_number  : slope_angle = PI/2 : y_i = y  : yp_i = y
2050   x_pt = -C : y_pt = y
2060  END IF
2070 REMark closest point on line is (x_pt, y_pt)
2080 REMark reflected mirror image point is (x_m, y_m)
2090  x_m = x_pt - (x - x_pt)          : y_m  = y_pt - (y - y_pt)
2100 REMark shear transformation maps to point (x_s, y_s)
2110  x_s = x + PTL * COS(slope_angle) * shear_amt
2120  y_s = y + PTL * SIN(slope_angle) * shear_amt
2130  RETurn x_pt  : RETurn y_pt
2140  RETurn x_m   : RETurn y_m
2150  RETurn x_s   : RETurn y_s
2160 END DEFine  : REMark FUNction project_on_line(x,y,A,B,C)
2170 :
2180 DEFine PROCedure show_reference_line
2190  PTL = Point_to_line2D(0,0,A,B,C)
2200  IF (vert_line) THEN
2210   x_ref1 = -C/A : y_ref1 = -vert_scale
2220   x_ref2 = -C/A : y_ref2 =  vert_scale
2230  END IF
2240  IF (horz_line) THEN
2250   x_ref1 = -vert_scale : y_ref1 = -C/B
2260   x_ref2 =  vert_scale : y_ref2 = -C/B
2270  END IF
2280  IF ((is_line) AND (NOT ((vert_line) OR (horz_line)))) THEN
2290   x_ref1 = -vert_scale : y_ref1 = (-C -(A * x_ref1))/B
2300   x_ref2 =  vert_scale : y_ref2 = (-C -(A * x_ref2))/B
2310   IF ABS(y_ref1)< vert_scale THEN
2320    y_ref1 = -vert_scale : x_ref1 = (-C -(B * y_ref1))/A
2330    y_ref2 =  vert_scale : x_ref2 = (-C -(B * y_ref2))/A
2340   END IF
2350  END IF
2360  INK i_nk :LINE x_ref1, y_ref1 TO x_ref2,y_ref2
2370 END DEFine show_reference_line
2380 :
2390 DEFine PROCedure get_options
2400  REPeat query
2410   CLS#0 : choice_made = 0
2420   PRINT#0,,,"  [R]otate",,"[T]ranslate",,"[Z]oom"
2430   PRINT#0,," [S]hear",,"[M]irror reflection"
2450   PRINT#0,,,"[O]riginal letters",,"[Q]uit"
2460   transform$ = INKEY$(-1)
2470   IF transform$ == 'o' : RUN
2480   IF transform$ == 'q' : CLS#0 : STOP
2490   IF transform$ == 'r' : choice_made = 1
2500   IF transform$ == 't' : choice_made = 2
2510   IF transform$ == 'z' : choice_made = 3
2520   IF transform$ == 's' : choice_made = 4
2530   IF transform$ == 'm' : choice_made = 5
2570   IF choice_made : EXIT query
2580  END REPeat query
2590  SELect ON choice_made
2600   = 1 : rotate_menu
2610   = 2 : translate_menu
2620   = 3 : zoom_menu
2630   = 4, 5 : Set_reference_line
2660   = REMAINDER : GO TO 2400
2670  END SELect
2680 END DEFine get_options
2690 :
2700 DEFine PROCedure transform
2710  transform_array Q_oval(1)   : transform_array Q_oval(2)
2720  transform_array Q_curl      : transform_array L_legs
2730 END DEFine transform
2740 :
2750 DEFine PROCedure rotate_menu
2760  CLS#0 : INPUT #0;"ENTER degrees of rotation  ",rot_angle
2770  cos_rot = COS(RAD(rot_angle)) : sin_rot = SIN(RAD(rot_angle))
2780  transform
2790 END DEFine rotate_menu
2800 :
2810 DEFine PROCedure translate_menu
2820  CLS#0 : PRINT #0;"Translate along [X] or [Y] axis ?"
2830  axis$ = INKEY$(-1): axis_num = (CODE(axis$)-87) MOD 32
2840  IF axis_num > 2 OR axis_num < 1 : GO TO 2820
2850  INPUT#0;"ENTER translation along "&axis$&" axis ?",translate_amt
2860  transform
2870 END DEFine translate_menu
2880 :
2890 DEFine PROCedure zoom_menu
2900  CLS#0 : PRINT#0;"a factor greater than 1 will enlarge the object"
2910  PRINT#0;"a factor less than 1 will reduce it "
2920  PRINT#0;"negative values are OK, but Zero collapses all to a point"
2930  INPUT #0;"ENTER zoom factor : ",zoom_factor
2940  transform
2950  CLS#0:PRINT#0\\,,"Zoom factor was ";zoom_factor
2960 END DEFine zoom_menu
2970 :
2980 DEFine PROCedure Set_reference_line
2990  shear_amt = 1   : ref_line = 1
3000  CLS#0 : PRINT #0;"Choose a Reference line"
3010  PRINT #0;"[V]ertical, [H]orizontal, or [S]loping ?"
3020  Line_type$ = INKEY$(-1)
3030  IF Line_type$ == 's' : set__slope
3040  IF Line_type$ == 'v' : A = 1 : B = 0 : set__vertical
3050  IF Line_type$ == 'h' : A = 0 : B = 1 : set__horizontal
3060  valid_key = (Line_type$=='s' OR Line_type$=='v' OR Line_type$=='h')
3070  IF NOT(valid_key) : GO TO 2990
3080  IF transform$ == 's' : INPUT#0;"ENTER amount of shear ",shear_amt
3120    transform
3140  ref_line = 1  : i_nk = 2 : show_reference_line
3150 END DEFine Set_reference_line
3160 :
3170 DEFine PROCedure set__slope
3180  CLS#0 : slope = PI/4 : A =1: B=1 : C=0
3190  xo = 0 : yo = 0 :INK 242 : OVER -1
3200  PRINT#0;"Use CONTROL key with arrow keys for slope"
3210  PRINT#0;"move line up, down, left, right with arrow keys "
3220  PRINT#0;"use with SHIFT for finer adjustments; ";
3230  PRINT#0;" when satisfactory, touch ENTER";
3240  REPeat setting_slope
3250   p1x = -COS(slope)*1000 + xo : p1y = -SIN(slope)*1000 + yo
3260   p2x =  COS(slope)*1000 + xo : p2y =  SIN(slope)*1000 + yo
3270   LINE p1x, p1y TO p2x, p2y
3280   AT#0,3,0 :PRINT#0;"X=";xo;"  Y=";yo;
3290   PRINT#0;"  Slope = ";TAN(slope);
3300   PRINT#0;"  Angle = ";DEG(slope);CHR$(186);"              ";
3310   change_slope = CODE(INKEY$(-1))
3320   LINE p1x, p1y TO p2x, p2y
3330   SELect ON change_slope
3340    = 202, 218 : slope = slope - .1
3350    = 206, 222 : slope = slope - 1E-2
3360    = 194, 210 : slope = slope + .1
3370    = 198, 214 : slope = slope + 1E-2
3380    = 208 : yo = yo + 10
3390    = 212 : yo = yo +  1
3400    = 216 : yo = yo - 10
3410    = 220 : yo = yo -  1
3420    = 200 : xo = xo + 10
3430    = 204 : xo = xo +  1
3440    = 192 : xo = xo - 10
3450    = 196 : xo = xo -  1
3460    =  10 : EXIT setting_slope
3470    = REMAINDER  : GO TO 3270
3480   END SELect
3490   IF (slope < -2*PI) : slope = slope + 2*PI
3500   IF (slope >  2*PI) : slope = slope - 2*PI
3510  END REPeat setting_slope
3520  OVER 0 : m = TAN(slope) : y_i = (p1y+p2y - m*(p1x+p2x))/2
3530  x_i = -y_i/m : A = 1 : B = -A/m : C = -x_i  : CLS#0
3540 END DEFine set__slope
3550 :
3560 DEFine PROCedure set__vertical
3570  A = 1 : B = 0 : C = 0 : xo = 0  : INK 242 : OVER -1 : CLS#0
3580  PRINT#0;"change position with left or right keys"
3590  PRINT#0;"use with shift for finer adjustments"
3600  PRINT#0;"when satisfactory, touch enter"
3610  REPeat adjust_x
3620   LINE xo,-vert_scale TO xo,vert_scale
3630   AT #0,3,0 : PRINT#0;"X-axis intercept = ";xo;"    "
3640   change_x = CODE(INKEY$(-1))
3650   LINE xo,-vert_scale TO xo,vert_scale
3660   SELect ON change_x
3670    = 192 : xo = xo - 10
3680    = 196 : xo = xo -  1
3690    = 200 : xo = xo + 10
3700    = 204 : xo = xo +  1
3710    =  10 : EXIT adjust_x
3720    = REMAINDER  : GO TO 3620
3730   END SELect
3740  END REPeat adjust_x
3750  C = -xo : OVER 0 : CLS#0
3760 END DEFine set__vertical
3770 :
3780 DEFine PROCedure set__horizontal
3790  A = 0 : B = 1 : C = 0 : yo = 0   : INK 242 : OVER -1  : CLS#0
3800  PRINT#0;"change position with up or down keys"
3810  PRINT#0;"use with SHIFT key for finer adjustments"
3820  PRINT#0;"when satisfactory, touch enter"
3830  REPeat adjust_y
3840   AT #0,3,0 : PRINT#0;"Y-axis intercept = ";yo;"    "
3850   LINE -vert_scale,yo TO vert_scale,yo
3860   change_y = CODE(INKEY$(-1))
3870   LINE -vert_scale,yo TO vert_scale,yo
3880   SELect ON change_y
3890    = 216 : yo = yo - 10
3900    = 220 : yo = yo -  1
3910    = 208 : yo = yo + 10
3920    = 212 : yo = yo +  1
3930    =  10 : EXIT adjust_y
3940    = REMAINDER : GO TO 3840
3950   END SELect
3960  END REPeat adjust_y
3970  C = -yo : OVER 0 : CLS#0
3980 END DEFine set__horizontal
3990 :
5110 REMark end of listing QL_SheaReflectLess3_bas
