; GWASL_ASM on H33_newgwasl_
; and win1_ass_newgwasl
; 9th February 2000
;
; 1. Alter name
; 2. Print number of errors
; 3. Adjust INSERT for DC.B
; 4. Add VERSION
;
; An ASSEMBLER program
;
	DATA	8000
WHITE	EQU	7
BLACK	EQU	0
GREEN	EQU	4
RED	EQU	2
MAX_LINE	EQU	8090
MAX_PAR	EQU	20
STK_SIZE	EQU	642
VAL	EQU	26
TYPE	EQU	30
BUF_SIZE	EQU	60
VERSION	EQU	?"1.3"
;
;
	IN	WIN1_LIB_HED
;
	BRA.S	START
	DS.L	1
	DC.W	$4AFB
	HED	<"GWASL v ",VERSION>,TITLE
;
START	LEA	CON,A1
	MOVE.W	UT_CON,A2
	JSR	(A2)
	LEA	ID_CON,A1
	MOVE.L	A0,(A1)
	MOVEQ	#5,D2
	MOVEQ	#0,D0
	MOVEQ	#0,D1
	LEA	EQB,A0
START1	ADD.L	(A0),D1
	MOVE.L	D0,(A0)+
	MOVE.L	D1,D0
	DBF	D2,START1
	MOVEQ	#-1,D2	this JOB
	MOVEQ	#MT_ALCHP,D0
	TRAP	#1
	TST.L	D0
	BNE	QUIT ---->
	MOVEQ	#5,D2
	LEA	EQB,A1
	MOVE.L	A0,D0
START2	ADD.L	D0,(A1)+
	DBF	D2,START2
	MOVEQ	#4,D2
	LEA	BLSTCK,A0
	LEA	TEMR_L,A1
	MOVE.L	(A0),(A1)+
START3	MOVE.L	(A0)+,(A1)+
	DBF	D2,START3
;
;  Loads EQU2_SYM
;    to BLLAB
;
	MOVEQ	 #-1,D1	 this JOB
	MOVEQ	#0,D3
	LEA	EQU_SYM,A0
	MOVEQ	#IO_OPEN,D0
	TRAP	#2
	TST.L	D0
	BNE	QUIT ---->
	MOVEQ	#64,D2
	MOVEQ	#-1,D3
	MOVEA.L	BLLAB,A1
	MOVEA.L	A1,A2
	MOVEQ	#FS_HEADR,D0
	TRAP	#3
	TST.L	D0
	BNE	QUIT --->
	MOVE.L	(A2),D2
	MOVEA.L	A2,A1
	ADDA.L	D2,A2
	LEA	BLLAB1,A3
	MOVE.L	A2,(A3)
	MOVEQ	#IO_FSTRG,D0
	TRAP	#3
	TST.L	D0
	BNE	QUIT ---->
	MOVEQ	#IO_CLOSE,D0
	TRAP	#2
	LEA	NO_ERRS,A0	stop no of	* JAN 00
	MOVE.L	#-1,(A0)		errors printing	* altered
;
GWAG	LEA	MAC_NO,A0
	CLR.W	(A0)
	LEA	MAC_CT,A0
	CLR.W	(A0)
	LEA	MAC_LST,A0
	LEA	TMACLST,A1
GWAG_M
	CLR.W	(A0)
	LEA	32(A0),A0
	CMPA.L	A1,A0
	BLT.S	GWAG_M
;
GWAG1	MOVEA.L	ID_CON,A0
	MOVEQ	#-1,D3
	MOVEQ	#SD_CLEAR,D0
	TRAP	#3	clears window
	MOVE.B	CON,D1	color -> D1
	MOVE.B	CON+1,D2
	EXT.W	D2	width -> D2
	MOVEQ	#SD_BORDR,D0
	TRAP	#3
	LEA	HEAD0,A1
	BSR	UMT1
	LEA	HEAD0A,A1
	BSR	UMT1
	LEA	HEAD0B,A1
	BSR	UMT1
	BSR	CURON	put on cursor
	MOVE.L	NO_ERRS,D0
	BMI	GWAG2	no ERROR printing
	BSR	PRERS
	BSR	UMT1
	LEA	NO_ERRS,A1
	MOVE.L	#-1,(A1)	stop further ERROR printing
;
;	Menu
;
GWAG2	MOVEQ	#IO_FBYTE,D0
	TRAP	#3
	CMPI.B	#244,D1
	BEQ.S	GWAG1	F4 - redraw
	ADDQ.B	#1,D1
	CMPI.B	#'2',D1
	BEQ.S	REPRINT
	CMPI.B	#'3',D1
	BNE.S	GWAG2	get 1,2, or F4
REPRINT	MOVE.B	D1,D2
	SUB.B	#48,D2
	MOVE.B	D2,D7	keep 1,2 in D7
	MOVEQ	#WHITE,D1
	BSR	INK
	MOVEQ	#0,D1
	BSR	AT
	CMPI.B	#2,D2
	BEQ.S	REP1	process
	LEA	HEAD0B,A1
	BRA.S	REP2	quit
REP1	LEA	HEAD0A,A1
REP2	BSR	UMT1
	MOVEQ	#GREEN,D1
	BSR	INK
	BSR	CUROF
	CMPI.B	#2,D7
	BNE	QUIT1	EXIT for good!
REP3	MOVEQ	#0,D1    re-entry after BEEP
	MOVEQ	#5,D2
	BSR	AT
	LEA	HEAD1,A1
	BSR	UMT1
	MOVEQ	#SD_NL,D0
	TRAP	#3	new line
	LEA	BUF,A1	to get X-POS etc
	MOVEQ	#SD_CHENQ,D0
	TRAP	#3
	MOVE.W	BUF+4,D1	X-POS
	SWAP	D1
	MOVE.W	prompt,D1
	MOVE.W	#40,D2	buffer length
	LEA	prompt+2,A1
	ADDA.W	D1,A1
	MOVEQ	#IO_EDLIN,D0
	TRAP	#3
	LEA	prompt,A0
	MOVE.L	A1,D0
	LEA	prompt+2,A1
	SUB.L	A1,D0
	SUBQ.W	#1,D0
	MOVE.W	D0,(A0)	set length of name
	BEQ	GWAG1	No file - try again
	MOVEQ	#-1,D1
	MOVEQ	#0,D3	OPEN_IN
	MOVEQ	#IO_OPEN,D0
	TRAP	#2
	TST.B	D0
	BNE	BEEP	can't open - try again
	MOVEQ	#64,D2	header length
	MOVEQ	#-1,D3
	LEA	O_BUF,A1	space for header
	MOVEQ	#FS_HEADR,D0
	TRAP	#3
	TST.L	D0
	BNE	BEEP	can't open!!
	TST.B	-59(A1)	check type
	BNE	BEEP	not type 0
	LEA	CH_IN,A1
	MOVE.L	A0,(A1)
	LEA	CH_LST,A1
	MOVE.L	A0,(A1)
	LEA	CH_NO,A1
	CLR.W	(A1)
	LEA	PROMPT-2,A1
	ADDA.W	2(A1),A1	set A1 to 4 bytes from the end of filename
	LEA	BUF,A0
	MOVE.W	#4,(A0)+	set length
	MOVEQ	#3,D0	count
GW6	MOVE.B	(A1)+,(A0)+
	DBF	D0,GW6
	LEA	BUF,A1
	LEA	TRAIL1,A0 "_ASM"
	MOVEQ	#1,D0	ignore case
	SUBA.L	A6,A6
	MOVE.W	UT_CSTR,A2
	JSR	(A2)
	TST.L	D0
	BEQ.S	GW1
	MOVEQ	#4,D0	no _ASM - add 4 to length
GW1	LEA	BUF+2,A0
	LEA	PROMPT,A1
	ADD.W	(A1)+,D0	D0=length of name ex _ASM - 4
	MOVE.W	D0,-2(A0) insert length in BUF
	SUBQ.W	#4,D0
	BRA.S	GW2
;
SAVE_NME	LEA	TMP_NME,A6
	MOVE.W	(A0)+,D0	length of name
	MOVE.W	D0,(A6)+
	CMPI.W	#38,D0
	BGT.S	GW7	leave file if > 38 chars
	BRA.S	SAVE_NM1
SAVE_NM2	MOVE.B	(A0)+,(A6)+
SAVE_NM1	DBF	D0,SAVE_NM2
	LEA	BUF,A0
	BRA.S	GW7
;
GW3	MOVE.B	(A1)+,(A0)+	filename to BUF
GW2	DBF	D0,GW3
	MOVEQ	#3,D4	for 4 files
	LEA	CH_OUT,A3
	LEA	TRAIL2,A2
GW4	MOVEQ	#3,D0
	MOVEA.L	A2,A1
	ADDQ.L	#4,A2
GW5	MOVE.B	(A1)+,(A0)+
	DBF	D0,GW5
	LEA	BUF,A0	reset A0
	CMPI.W	#1,D4	TMP file?
	BEQ.S	SAVE_NME
GW7	MOVEQ	#-1,D1
	MOVEQ	#3,D3	OPEN_OVER
	MOVEQ	#IO_OPEN,D0
	TRAP	#2
	TST.L	D0
	BNE	BEEP
	MOVE.L	A0,(A3)+
	LEA	BUF-2,A0
	ADDA.W	2(A0),A0
	DBF	D4,GW4
;
	MOVEQ	#3,D0	count to
	LEA	EQB,A1	set pointers in:-

GWSET	MOVEA.L	(A1)+,A0	   EQB
	LEA	4(A0),A0	   BLSTCK
	MOVE.L	A0,-4(A0)    BINS
	DBF	D0,GWSET	   ER_LST
	LEA	LINE_NO,A0
	CLR.L	(A0)
	LEA	MARK,A0
	CLR.L	(A0)
	LEA	PCK,A0
	MOVE.W	#4,(A0)
	MOVEA.L	BLLAB1,A0
	MOVEA.L	TLLAB,A1
GWSET1	TST.W	(A0)
	BEQ.S	GWSET2
	CLR.W	(A0)	clear length
	CLR.L	VAL(A0)	      VAL
	CLR.W	TYPE(A0)	      TYPE
	LEA	32(A0),A0
	CMPA.L	A1,A0
	BLT.S	GWSET1
GWSET2	SUBA.L	A5,A5	set PC to 0
	LEA	HEAD2,A1	print "PASS 1"
	BSR	UMT
	LEA	O_BUF+4,A0   Set O_BUF for
	MOVE.L	A0,-4(A0)    output to _BIN
	MOVEA.L	PC_LST,A0
	MOVE.W	#8095,D2	count
GWSET3	CLR.L	(A0)+	clear PC_LST
	DBF	D2,GWSET3
;
; PAGE 19
;
GLIN
	MOVEA.L	PC_LST,A0
	MOVE.L	LINE_NO,D2
	LSL.L	#2,D2
	MOVE.L	A5,D3
	ADD.L	D3,(A0,D2.L)  'add' PC (sign could be set)
	LEA	OBUF+4,A0   Reset the pointers to
	MOVE.L	A0,-4(A0)    OBUF (for [EXT])
GLIN1
	LEA	LBUF,A1
	MOVE.L	CH_IN,D7	D7 is minus for MACRO
	MOVE.L	D7,D2
	BCLR	#31,D2
	BEQ.S	GLIN2
	LEA	MAC_BUF,A1   line  -> MAC_BUF for MACRO
GLIN2	MOVEA.L	D2,A0
	MOVE.W	#256,D2
	MOVEQ	#-1,D3
	MOVEQ	#IO_FLINE,D0
	TRAP	#3
	TST.L	D0
	BEQ.S	DO_LINE
	CMPI.B	#-10,D0
	BNE	QUIT ---->
	TST.W	D1	any bytes fetched?
	BEQ	IN_END	no
	MOVE.B	#10,(A1)	put LF in buffer
	ADDQ.W	#1,D1	and adjust count
;
DO_LINE	TST.L	D7	MACRO?
	BMI	MAC_LN	yes
DO_LINE1	LEA	LBUF,A1
DO_LINE2	MOVEA.L	CH_TMP,A0
	MOVE.W	D1,D2	no of bytes fetched
	MOVEQ	#IO_SSTRG,D0
	TRAP	#3
	TST.L	D0
	BNE	QUIT ---->
	LEA	LBUF,A1
	MOVE.B	(A1)+,D0
	CMPI.B	#32,D0
	BEQ	DO_INSTR
	SUBQ.L	#1,A1
	BSR	CH_LET
	BEQ	DO_LAB
INST_ED1	LEA	LINE_NO,A0
	MOVE.L	(A0),D0
	ADDQ.L	#1,D0
	CMPI.L	#MAX_LINE,D0
	BGE	QUIT ---->
	MOVE.L	D0,(A0)
	LEA	OBUF,A4
	MOVEA.L	(A4)+,A0
	BRA.S	I_END1
I_END2	MOVE.W	(A4)+,D5
	BSR	PUT_W
I_END1	CMPA.L	A0,A4
	BLT.S	I_END2
	BRA	GLIN
INST_END	BSR	PUT_W
	BRA.S	INST_ED1
INST_ED2	MOVEQ	#0,D0	rel pos 0
	MOVEQ	#-1,D3	timeout
	MOVEA.L	CH_OUT,A0
	MOVEQ	#FS_POSRE,D0
	TRAP	#3	file_pos -> D1
	TST.L	D0
	BEQ.S	INST_ED3
	CMP.W	#-10,D0
	BNE	QUIT ---->
INST_ED3	LEA	O_BUF,A0
	ADD.L	(A0)+,D1
	SUB.L	A0,D1
	LEA	OBUF,A0
	ADD.L	(A0)+,D1
	SUB.L	A0,D1
	MOVE.L	D1,A5	reset PC
	BRA.S	INST_ED1
;
; MACRO lines are adjusted
;  for parameters (\x) and local
;  LABELS (\@) from MAC_BUF -> LBUF
;
MAC_LN	LEA	MAC_BUF,A1
	LEA	LBUF,A2
	MOVE.W	D1,D6	keep D1 in D6
	SUBQ.W	#1,D1
	CMPI.B	#128,(A1) '\' in line?
	BEQ.S	MAC_LN1	yes
MAC_LN2	MOVE.B	(A1)+,(A2)+  copy MAC_BUF -> LBUF
	DBF	D1,MAC_LN2
	MOVE.W	D6,D1	restore count of characters
	BRA	DO_LINE1
MAC_LN1	ADDQ.L	#1,A1	-> next character
	SUBQ.W	#1,D1
MAC_LN3	MOVE.B	(A1)+,D0
	CMPI.B	#'\',D0
	BEQ.S	MAC_LN4
	MOVE.B	D0,(A2)+
MAC_OX	DBF	D1,MAC_LN3
	MOVE.L	A2,D1
	LEA	LBUF,A1
	SUB.L	A1,D1	number of characters
	BRA	DO_LINE2
MAC_LN4	MOVE.B	(A1)+,D0
	SUBQ.W	#1,D1	adjust count of chars in line
	CMPI.B	#'@',D0
	BEQ.S	MAC_AX
	SUBI.B	#'0',D0
	BMI.S	MAC_ER33 ---->
	CMPI.B	#9,D0
	BLE.S	MAC_FND
	SUBQ.B	#7,D0
	CMPI.B	#10,D0
	BLT.S	MAC_ER33 ---->
	CMPI.B	#35,D0
	BLE.S	MAC_FND
	SUBI.B	#32,D0
	CMPI.B	#10,D0
	BLT.S	MAC_ER33 ---->
	CMPI.B	#35,D0
	BGT.S	MAC_ER33 ---->
MAC_FND	MOVEA.L	(A7),A6	pointer to parameters
	LEA	-2(A6),A6
	EXT.W	D0
	CMP.W	(A6),D0
	BGT.S	MAC_ER31 ----> faulty parameter
	LSL.W	#5,D0
	SUBA.W	D0,A6
	MOVE.W	(A6)+,D0	length of parameter
	BRA.S	MAC_FND1
MAC_FND2	MOVE.B	(A6)+,(A2)+
MAC_FND1	DBF	D0,MAC_FND2
	BRA.S	MAC_OX
;
MAC_AX	MOVE.B	#'_',(A2)+
	LEA	BUF+10,A0
	MOVE.L	A0,D5
	MOVE.W	MAC_CT,D0
	EXT.L	D0
	MOVE.W	D1,D6
	BSR	LTOD
	MOVE.W	D6,D1
MAC_AX1	MOVE.B	(A0)+,(A2)+
	CMPA.L	D5,A0
	BLT.S	MAC_AX1
	BRA.S	MAC_OX
;
MAC_ER33	MOVE.W	D1,-(A7)
	MOVEQ	#33,D1
MAC_ERX	BSR	DO_ERR
	MOVE.W	(A7)+,D1
	BRA	MAC_OX
MAC_ER31	MOVE.W	D1,-(A7)
	MOVEQ	#31,D1
	BRA.S	MAC_ERX
;
EQB	DC.L	23552  These values are the
BLSTCK	DC.L	1024   lengths of the areas
BINS	DC.L	12288  defined by the first 6 LABELS.
ER_LST	DC.L	3004   Each long word is replaced
BLLAB	DC.L	43008  by the address to which the
PC_LST	DC.L	32384  LABEL refers during the START
TEMR_L	DS.L	1      procedure - before GWAG.
EQT	DS.L	1	        |
TLSTCK	DS.L	1	        |
TINS	DS.L	1	        |
TER_LST	DS.L	1	        |
TLLAB	DS.L	1	        
BLLAB1	DS.L	1
;
; DO_INSTR (PAGE 26)
;
DO_INSTR	CMPI.B	#32,(A1)+
	BEQ.S	DO_INSTR
	SUBQ.L	#1,A1
	BSR	STRG
	BMI	PR_E21 ---->
	MOVE.L	D0,D4
	CMPI.B	#32,D0
	BEQ.S	INS_OK
	CMPI.B	#10,D0
	BEQ.S	INS_OK
	CMPI.B	#".",D0
	BNE	PR_E9 ---->
INS_OK	MOVE.W	(A2)+,D1	length of inst
	CMPI.W	#3,D1
	BEQ.S	INST_TH	'3'
	BMI.S	INST_TW	'2'
	CMPI.W	#5,D1
	BLT.S	INST_FO
	BEQ.S	INST_FI	'5'
	BGT	IN_MACE ---->
;
; INST_2 = length (Wd) + Insts (Wd)
; INST_3 = length (Wd) + Insts|0 (Long Wd)
; INST_4 = length (Wd) + Insts (Long Wd)
; INST_5 = length (Wd) + Insts|0 (3 Wds)
;
; All lists are in reverse order
;
INST_TH	LEA	INST_3,A0
	MOVE.W	(A0)+,D2	no of insts
	MOVE.L	(A2),D3	this inst
	CLR.B	D3
INST_TH1	CMP.L	(A0)+,D3
	DBEQ	D2,INST_TH1
	BNE	IN_MACE ---->
	BRA.S	INST_THE
;
INST_TW	CMPI.W	#2,D1
	BNE	IN_MACE ---->
	LEA	INST_2,A0
	MOVE.W	(A2),D3
	MOVE.W	(A0)+,D2	no of insts
INST_TW1	CMP.W	(A0)+,D3
	DBEQ	D2,INST_TW1
	BNE	IN_MACE ---->
	BRA.S	INST_TWE
;
INST_FO	LEA	INST_4,A0
	MOVE.L	(A2),D3
	MOVE.W	(A0)+,D2	no of insts
INST_FO1	CMP.L	(A0)+,D3
	DBEQ	D2,INST_FO1
	BNE	IN_MACE ---->
	BRA.S	INST_FOE
;
INST_FI	LEA	INST_5,A0
	MOVE.L	(A2),D3
	MOVE.W	(A0)+,D2	no of insts
	MOVE.B	4(A2),D7	inst to D3 & D7
	BRA.S	INST_FI1
INST_FI3	ADDQ.L	#2,A0
INST_FI1	CMP.L	(A0)+,D3
	BNE.S	INST_FI2
	CMP.B	(A0),D7
INST_FI2	DBEQ	D2,INST_FI3
	BNE	IN_MACE ---->
	ADD.W	INST_2,D2
	ADDQ.W	#1,D2
INST_TWE	ADD.W	INST_4,D2
	ADDQ.W	#1,D2
INST_FOE	ADD.W	INST_3,D2
	ADDQ.W	#1,D2
INST_THE	TST.W	D2
	BEQ	PR_EQ
;
;
;
INS_NOM	LEA	PRO_LST,A0
	LSL.W	#3,D2
	ADDA.W	D2,A0
	MOVE.W	(A0)+,D5
	MOVE.L	(A0)+,D7
	MOVE.B	(A0)+,D2
	MOVE.B	(A0)+,D3
	EXT.W	D2
	MOVE.B	D4,D0
	MOVEQ	#-1,D1
	CMPI.B	#1,D3
	BMI.S	INS_T0
	BEQ.S	INS_T1
	CMPI.B	#3,D3
	BMI.S	INS_T2
	BGT.S	INS_T4
	CMPI.B	#32,D0
	BEQ.S	INS_SP
INS_T4	CMPI.B	#".",D0
	BNE	PR_E15 ---->
	BSR	DO_SIZE
	BMI	PR_E15 ---->
INS_T0	CMPI.B	#32,D0
	BNE	PR_E26 ---->
	BRA.S	INS_SP
INS_T1	CMPI.B	#10,D0
	BEQ.S	INS_Q
	CMPI.B	#32,D0
	BNE	PR_E15 ---->
	BRA.S	INS_Q
INS_T2	CMPI.B	#32,D0
	BEQ.S	INS_T2C
	CMPI.B	#".",D0
	BNE	PR_E15
	MOVE.B	(A1)+,D1
	MOVE.B	(A1)+,D0
	CMPI.B	#"S",D1
	BNE.S	INS_T2A
INS_T2B	MOVEQ	#1,D1
	BRA.S	INS_T0
INS_T2A	CMPI.B	#"s",D1
	BNE	PR_E15 ---->
	BRA.S	INS_T2B
INS_T2C	MOVEQ	#2,D1
	BRA.S	INS_T0
;
IN_MACE	LEA	BUF,A2
	LEA	MAC_LST,A0
	BSR	G_MAC	D1 = macro number
	BNE	PR_E21 ---->   not a MACRO
	MOVEQ	#31,D2	instruction number
INS_SP	CMPI.B	#32,(A1)+
	BEQ.S	INS_SP
	SUBQ.L	#1,A1
	MOVE.B	-1(A1),D0
INS_Q	TST.L	D1	.B?
	BNE.S	INS_LB	no
	CMPI.W	#23,D2   DS?
	BEQ.S	INS_LB1	yes
	CMPI.W	#24,D2   DC?
	BEQ.S	INS_LB1	yes
INS_LB	BSR.S	INS_LB3	set PC to even
INS_LB1	LEA	MARK,A0
	TST.W	(A0)
	BEQ.S	INS_LB2
	CLR.W	(A0)
	MOVE.W	2(A0),D3
	EXT.L	D3
	MOVEA.L	BLLAB,A0
	LSL.L	#5,D3
	ORI.W	#6,TYPE(A0,D3.L)
	MOVE.L	A5,VAL(A0,D3.L)	set PC in label
INS_LB2	LSL.W	#2,D2
	LEA	PR,A0
	ADDA.L	-4(A0,D2.W),A0
	ADDQ.L	#2,A5
	JMP	(A0)
;
INS_LB3	MOVE.L	A5,D3	PC
	BTST	#0,D3	even?
	BEQ.S	INS_LB3X	yes
	ADDQ.L	#1,A5	set to WORD boundary
	MOVEA.L	PC_LST,A0
	MOVE.L	LINE_NO,D3
	LSL.L	#2,D3
	ADDQ.L	#1,(A0,D3.L) set even PC
	BSR	PUT_B	get O_BUF even
INS_LB3X	RTS
;
; DO_LAB - (PAGE 21)
;
DO_LAB	BSR	STRG
	BMI	PR_E6 ---->
	CMPI.W	#24,(A2)
	BLE.S	DO_LAB1
	MOVE.W	#24,(A2)	set len <= 24
DO_LAB1	CMPI.B	#32,D0
	BEQ.S	DOL_OK
	CMPI.B	#10,D0
	BNE	PR_E9 ---->
DOL_OK	MOVE.B	D0,D4	keep D0.B
	LEA	D_LIST,A0
	MOVEQ	#18,D1
	MOVE.L	A1,-(A7)
	MOVEA.L	A2,A1
	BSR	FIND
	MOVEA.L	(A7)+,A1
	TST.W	D1
	BPL	PR_E20 ---->
	BSR	LAB_NO
	TST.W	D0
	BEQ.S	IN_LIST
	BSR	NEW_LAB
	BRA.S	IN_OK
IN_LIST	MOVE.W	TYPE(A0),D2
	ANDI.W	#12,D2
	BEQ.S	IN_OK
	ORI.W	#3,TYPE(A0)
	BRA	PR_E23 ---->
IN_OK	LEA	MARK,A3
	MOVE.W	#1,(A3)
	MOVE.W	D1,2(A3)
	CMPI.B	#10,D4	is separator ENTER?
	BEQ	INST_ED1	yes
	BRA	DO_INSTR
;
; PASS2 (preceded by IN_END)
;
; IN_END unwinds the nesting of IN'd files
;   _________     _________
;  |_________|\  | CH_LST  |
;    CH_IN     | |	       |
;   _____       \|_________|
;  |_____|-----> |_________|
;   CH_NO        |	       |
;	       |_________|
;
IN_END
	LEA	CH_NO,A0
	MOVE.W	(A0),D4 any more IN's?
	BNE.S	IN_END1	yes
	BSR	INS_LB3	set PC even
	MOVE.L	A5,D0
	MOVEA.L	PC_LST,A0  Set PC
	MOVE.L	LINE_NO,D2
	LSL.L	#2,D2
	ADD.L	D0,4(A0,D2.L)  Set PC for last line
	ADD.L	D0,8(A0,D2.L)	twice
	BRA.S	PASS2
IN_END1	SUBQ.W	#1,(A0)	previous IN file
	LSL.W	#2,D4
	LEA	CH_IN,A2
	MOVE.L	(A2),D0
	BPL.S	IN_END2
	BCLR	#31,D0
	MOVEA.L	(A7)+,A6	recall pointer
	UNLK	A6	relaese parameter space
IN_END2	MOVEA.L	D0,A0
	MOVEQ	#IO_CLOSE,D0
	TRAP	#2	close current IN file
	LEA	CH_LST,A0
	MOVE.L	-4(A0,D4.W),(A2) set next CH_IN
	BRA	GLIN1	and assemble it
;
; PASS2	  (PAGE 62)
;
PASS2	BSR	FLUSH1
	LEA	NO_ERRS,A1    * ALLOW TOTAL ERRORS
	CLR.L	(A1)	    * TO BE PRINTED
	LEA	HEAD3,A1
	BSR	UMT	print "PASS 2"
	MOVEA.L	ER_LST,A2
	MOVEA.L	(A2),A2
	CLR.W	4(A2)	Mark end of ERRORS
	MOVEA.L	TLLAB,A2
	MOVEA.L	BLLAB1,A1
	MOVEQ	#0,D2
	BRA.S	GEQ1
;
GEQ2	MOVE.W	TYPE(A1),D3
	ANDI.W	#12,D3
	CMPI.W	#4,D3
	BGT.S	GEQ_GL	EQU list
	BEQ.S	GEQ3	defined
	CLR.W	TYPE(A1)	undefined
	BRA.S	GEQ3
GEQ_GL	MOVE.L	A2,-(A7)
	MOVEA.L	BLSTCK,A2
	MOVE.W	D2,(A2)+
	MOVEA.L	TLSTCK,A6
	BSR	GLAB
	MOVEA.L	(A7)+,A2
GEQ3	LEA	32(A1),A1    to next LABEL
	ADDQ.W	#1,D2
	CMPA.L	A2,A1 Top of LAB list?
	BGE	QUIT ---->
GEQ1	TST.W	(A1) more?
	BNE.S	GEQ2	yes
	MOVEA.L	CH_TMP,A0
	MOVEQ	#-1,D3
	MOVEQ	#0,D1
	MOVEQ	#FS_POSAB,D0
	TRAP	#3
	MOVEA.L	CH_OUT,A0
	MOVEQ	#FS_POSAB,D0
	TRAP	#3
	LEA	LINE_NO,A4
	CLR.L	(A4)
	MOVEA.L	BINS,A4
	LEA	4(A4),A4
	LEA	BIN_LINE,A3
	MOVEA.L	PC_LST,A6
	MOVE.L	(A6)+,D5	set initial PC value
	MOVEA.L	ER_LST,A5
	LEA	4(A5),A5
PA_DB	MOVE.L	D5,D6	PC @ start of line
	MOVEA.L	TEMR_L,A0
	LEA	4(A0),A1
	MOVE.L	A1,(A0)
	MOVE.L	(A6)+,D5	PC @ end of line
	BCLR	#31,D5	after LIB?
	BEQ.S	PA_DB2	no
	MOVEA.L	CH_OUT,A0
	MOVEQ	#-1,D3
	BRA.S	PA_DB3
PA_DB2	MOVE.L	D5,D2
	SUB.L	D6,D2	number of bytes in line
	BEQ	PA_EX	NONE
	MOVEQ	#0,D4	mark normal
	CMPI.L	#10,D2
	BLE.S	PA_DB1	normal
	MOVEQ	#-1,D4	mark non-normal
	MOVEQ	#10,D2
PA_DB1	MOVEQ	#-1,D3
	MOVEA.L	CH_OUT,A0
	MOVEA.L	A3,A1
	MOVEQ	#IO_FSTRG,D0
	TRAP	#3	get binary line
	TST.L	D0
	BNE	QUIT ---->
	TST.L	D4	normal?
	BEQ.S	INSERT
PA_DB3	MOVE.L	D5,D1	PC @ start of next line
	MOVEQ	#FS_POSAB,D0
	TRAP	#3
	TST.L	D0
	BEQ.S	INSERT
	CMPI.B	#-10,D0
	BNE	QUIT ---->
;
; INSERTS
;
; Uses	D0 - 2/D4 -7
; D3 signals whether BIN has been altered
;	 3 2 1 0
; LAB Type . . 0 0 Undefined
;	 . . 0 1 N (number)
;	 . . 1 0 PC
;	 . . 1 1 Error
;	 0 0 . . Awaiting definition
;	 0 1 . . Defined
;	 1 0 . . EQU list (not yet defined)
;
; At this stage the only values possible are
;   0 (no LABEL)
;   5  N
;   6  PC and
;   7  Error
;
; The insert item is 8 bytes as shown:-
;
; |	  L	  |     W    |   B	|7   3  0|
; |___________________|__________|______|________|
; |	  *	  | Label no |  w	|........|
;   (PC where insert		     |
;       occurs)		         0 +   N |
;			         1 -  PC |
;   PC insert is [VAL(LABEL)-*-w]	       
;				    Bits 0 to 3
;		value   type      range	 where
;		  0      d3     1-8 -> 1-7,0	 bits 9-11
;		  1      d4       4 bits	 bits 0-3
;		  2   d8 or p8    8 bits	 bits 0-7
;		  3  d16 or p16  16 bits	 1 word
;		  4     d32      32 bits	 2 words
;

INSERT	MOVEQ	#0,D3
INS_LP	MOVEA.L	BINS,A1
	MOVEA.L	(A1),A1
	CMPA.L	A1,A4
	BGE	INS_END
	MOVE.L	(A4),D7
	MOVE.B	7(A4),D4
	ANDI.B	#15,D4
	CMP.L	D5,D7
	BGE	INS_END	finished INSERT
	MOVEQ	#-1,D3 insert taking place
	MOVE.L	D7,D1
	SUB.L	D6,D1	rel position in BIN_LINE for insert
	MOVE.W	4(A4),D0 LAB no
	EXT.L	D0
	LSL.L	#5,D0
	MOVEA.L	BLLAB,A0
	ADDA.L	D0,A0
	MOVE.W	TYPE(A0),D0
	BEQ	INS_ER4 ---->
	CMPI.W	#7,D0
	BEQ	INS_ER5 ---->
	CMPI.W	#5,D0
	BEQ.S	INS_N	type N
	CMPI.B	#5,D4
	BLT	INS_ER5 ---->
	BTST	#7,7(A4)
	BNE	INS_ER5 ---->
	MOVE.L	VAL(A0),D2 LABEL
;
; INS_D32
;
	MOVEQ	#0,D0
	SUB.L	D7,D2
	MOVE.B	6(A4),D0
	SUB.L	D0,D2
	SUBI.B	#10,D4
	BEQ	INS_P8
	BRA	INS_D16
INS_LP2	MOVE.L	D2,(A3,D1.W)
INS_LP1	LEA	8(A4),A4
	BRA.S	INS_LP
;
INS_N	CMPI.B	#5,D4
	BGE	INS_ER5 ---->
	MOVE.L	VAL(A0),D2
	BTST	#7,7(A4) plus?
	BEQ.S	INS_NPL	yes
	NEG.L	D2
INS_NPL	SUBQ.B	#1,D4
	BMI.S	INS_D3
	BEQ.S	INS_D4
	SUBQ.B	#2,D4
	BMI.S	INS_D8
	BEQ.S	INS_D16
	BRA.S	INS_LP2
INS_D3	CMPI.L	#1,D2
	BLT	INS_ER2	---->
	CMPI.L	#8,D2
	BGT	INS_ER2	---->
	ANDI.B	#7,D2
	ADD.B	D2,D2
	ANDI.B	#$F1,(A3,D1.W)
	OR.B	D2,(A3,D1.W)
	BRA	INS_LP1
INS_D4	CMPI.L	#0,D2
	BLT.S	INS_ER2	---->
	CMPI.L	#15,D2
	BGT.S	INS_ER2	---->
	ANDI.W	#$FFF0,(A3,D1.W)
	OR.W	D2,(A3,D1.W)
	BRA.S	INS_LP1
INS_D8	CMPI.L	#-128,D2
	BLT	INS_ER2	---->
	CMPI.L	#255,D2
	BGT	INS_ER2	---->
	MOVEQ	#0,D0
	MOVE.B	6(A4),D0	w
	SUB.W	D0,D1	adjust for DC.B
INS_D8L	MOVE.B	D2,1(A3,D1.W)
	BRA	INS_LP1
INS_D16	CMPI.L	#-32768,D2
	BLT	INS_ER2	---->
	CMPI.L	#32767,D2
	BGT.S	INS_ER2	---->
INS_D16L	MOVE.W	D2,(A3,D1.W)
	BRA	INS_LP1
INS_P8	CMPI.L	#-128,D2
	BLT.S	INS_ER2	---->
	CMPI.L	#127,D2
	BGT.S	INS_ER2	---->
	TST.L	D2
	BEQ.S	INS_ER25 ---->
	BRA.S	INS_D8L
INS_ER24	MOVEQ	#24,D0
	BRA.S	INS_ER
INS_ER25	MOVEQ	#25,D0
	BRA.S	INS_ER
INS_ER2	MOVEQ	#2,D0
	BRA.S	INS_ER
INS_ER4	MOVEQ	#4,D0
	BRA.S	INS_ER
INS_ER5	MOVEQ	#5,D0
INS_ER	MOVEA.L	TEMR_L,A0
	MOVE.L	A0,D2
	MOVEA.L	(A0),A0
	MOVE.W	D0,(A0)+
	MOVE.L	A0,D1
	MOVE.L	D2,A0
	MOVE.L	D1,(A0)
	BRA	INS_LP1
;
INS_END	TST.L	D3
	BEQ.S	PA_EX
;
; Write to file
;
	MOVE.L	D6,D1
	MOVEA.L	CH_OUT,A0
	MOVEQ	#FS_POSAB,D0
	TRAP	#3
	MOVE.L	D5,D2 PC
	SUB.L	D6,D2	No of bytes
	MOVEA.L	A3,A1	buffer
	MOVEQ	#IO_SSTRG,D0
	TRAP	#3
;
PA_EX	MOVEQ	#63,D1
	MOVE.L	#$20202020,D0
	LEA	LBUF,A0	    fill LBUF with SPACES
PA_CL	MOVE.L	D0,(A0)+
	DBF	D1,PA_CL
	MOVE.L	A6,-(A7)
	LEA	-8(A6),A6 reset PC pointer to start of line
	LEA	LBUF,A0
	MOVE.W	CN_ITOHL,A2
	BSR	PA_HX
	MOVEA.L	A3,A6
	MOVE.L	D5,D4
	SUB.L	D6,D4
	ROR.L	#1,D4
	CMPI.W	#5,D4	limit HEX to 5 words
	BLE.S	PA_CLZ
	MOVEQ	#5,D4
PA_CLZ	MOVE.W	CN_ITOHW,A2
	BRA.S	PA_INS1
PA_INS	BSR	PA_HX
PA_INS1	DBF	D4,PA_INS
	TST.L	D4	odd byte? . .
	BPL	PA_INS2	. . no
	MOVE.W	CN_ITOHB,A2
	BSR	PA_HX
PA_INS2	LEA	40+LBUF,A0    reset to  end of line_no
;
; Print line number
;
	MOVE.L	LINE_NO,D0
	BSR	LTOD
	LEA	41+LBUF,A1  set for _TMP input
	MOVEA.L	CH_TMP,A0
	MOVEQ	#-1,D3
	MOVE.W	#210,D2
	MOVEQ	#IO_FLINE,D0
	TRAP	#3
	CMPI.W	#-10,D0	End of _TMP?
	BEQ	PA_END2	 yes
	CMPI.B	#10,-1(A1) LF?
	BEQ.S	CPL1	yes
	MOVE.B	#10,-1(A1) if not make it so
CPL1	MOVE.L	A1,D2
	LEA	LBUF+8,A1
	SUBA.W	PCK,A1
	SUB.L	A1,D2
	MOVEA.L	CH_PRNT,A0
	MOVEQ	#IO_SSTRG,D0
	TRAP	#3
	TST.W	D4
	BEQ	PA_END
;
; Now do errors
;
PA_E2
	MOVE.L	LINE_NO,D0
	TST.W	4(A5)	End of all ERRORS?
	BEQ.S	PA_E1	yes
	CMP.L	(A5),D0
	BNE.S	PA_E1
	BSR.S	PA_EPRT
	BRA.S	PA_E2
;
PA_EPRT	LEA	ERROR,A1	   Subroutine
	BSR	UMT1	     to print
	LEA	NO_ERRS,A1
	ADDQ.L	#1,(A1)
	LEA	ETB,A1	     errors
	MOVE.W	4(A5),D0
	ADD.W	D0,D0
	ADDA.W	-2(A1,D0.W),A1
	BSR	UMT1
	ADDQ.L	#6,A5	advance A5
	RTS
;
PA_EPRT1	LEA	ERROR,A1	   Subroutine
	BSR	UMT1	     to print
	LEA	NO_ERRS,A1     * Find total
	ADDQ.L	#1,(A1)	     * ERRORs
	LEA	ETB,A1	     errors
	MOVE.W	(A5)+,D0
	ADD.W	D0,D0
	ADDA.W	-2(A1,D0.W),A1
	BSR	UMT1
	RTS
;
PA_E1	MOVE.L	A5,-(A7)
	MOVEA.L	TEMR_L,A5
	MOVE.L	(A5),D4
	LEA	4(A5),A5
	SUB.L	A5,D4
	LSR.W	#1,D4
	BRA.S	PA_E3
PA_E4	BSR.S	PA_EPRT1
PA_E3	DBF	D4,PA_E4
	MOVEM.L	(A7)+,A5/A6
	LEA	LINE_NO,A0
	ADDQ.L	#1,(A0)
	BRA	PA_DB
;
PA_END2	LEA	41+LBUF,A1
	MOVEQ	#0,D4
	BRA	CPL1
PA_END
	LEA	BUF,A1
	MOVEQ	#64,D2
	MOVEQ	#-1,D3
	MOVEA.L	CH_OUT,A0
	MOVEQ	#FS_HEADR,D0
	TRAP	#3
	TST.L	D0
	BNE	QUIT
	LEA	BUF,A1
	MOVE.B	#1,5(A1)	  set _BIN to type 1
	MOVE.L	DATA,6(A1)  set DATA
	MOVEQ	#FS_HEADS,D0
	TRAP	#3
	TST.L	D0
	BNE	QUIT
;
; Write _SYM
;
	MOVE.W	#$7000,D2 wodge size
	MOVEA.L	BLLAB1,A1
	MOVE.L	A1,D1
	MOVEA.L	A1,A0
SY1	TST.W	(A0)	finished?
	BEQ.S	SY2	yes
	LEA	32(A0),A0    step to next LABEL
	BRA.S	SY1
SY2	SUB.L	A0,D1
	NEG.L	D1	length of LABEL file
	DIVU	D2,D1	no of bytes|no of wodges
	MOVE.W	D1,D5	no of wadges
	SWAP	D1
	MOVE.W	D1,D4	no of bytes
	MOVEA.L	CH_SYM,A0
	BRA.S	SY3
SY4	BSR.S	SYMP
SY3	DBF	D5,SY4
	MOVE.W	D4,D2	remaining bytes
	BEQ.S	SY_END	none
	BSR.S	SYMP
SY_END	MOVEQ	#4,D1	close 5 files
	LEA	CH_IN,A3
PA_END1	MOVEQ	#IO_CLOSE,D0
	MOVEA.L	(A3)+,A0
	TRAP	#2
	DBF	D1,PA_END1
	LEA	TMP_NME,A0 name of TMP
	MOVEQ	#-1,D1
	MOVEQ	#IO_DELET,D0
	TRAP	#2	delete TMP
	MOVEQ	#IO_DELET,D4
	MOVE.W	MAC_NO,D6
	BRA.S	PA_END3
PA_END4	MOVE.W	D6,D0
	BSR	PR30_FLE
PA_END3	DBF	D6,PA_END4
	BRA	GWAG
;
SYMP	MOVEQ	#IO_SSTRG,D0
	TRAP	#3
	TST.L	D0
	BNE	QUIT ---->
	RTS
;
PA_HX	SUBA.L	A1,A1
	SUBA.L	A6,A0
	JSR	(A2)
	ADDA.L	A6,A0
	ADDA.L	A1,A6
	MOVE.B	#32,(A0)+
	RTS
;
;  SUB ROUTINES
;
;
; GLAB
; At entry:
;  A1 -> LABEL
;
; At exit:
;  LAB VALUE is et & EQU cancelled
;  If error: Type is set to 3 & D0 = -1
;  otherwise D0>=0
;
; All other registers are preserved
;
GLAB	MOVEM.L	D1/D3/D6/D7/A3/A4,-(A7)
	MOVEA.L	VAL(A1),A3	EQU table pointer
	MOVE.L	(A3)+,D6	constant
	MOVE.W	(A3)+,D7	S(PC)
GL_LP	MOVE.W	(A3)+,D3	+ or - or 0 for end of list
	BEQ.S	GL_END
	MOVE.W	(A3)+,D0	label no
	EXT.L	D0
	LSL.L	#5,D0
	MOVEA.L	BLLAB,A4
	ADDA.L	D0,A4
	MOVE.W	TYPE(A4),D0
	MOVE.W	D0,D1	 KEEP TYPE IN D1
	ANDI.W	#3,D1
	CMPI.W	#3,D1	error?
	BEQ	GL_ERJ	yes
	ANDI.W	#12,D0
	BEQ.S	GL_ERJ
	CMPI.B	#4,D0	defined?
	BEQ.S	GL_DEF	yes
	MOVE.W	-2(A3),D0 label no
	MOVEA.L	BLSTCK,A5
GL_1	CMPA.L	A2,A5
	BGE.S	GL_2
	CMP.W	(A5)+,D0
	BNE.S	GL_1
	BRA.S	GL_ERJ ---->
GL_2	MOVE.W	D0,(A2)+
	CMPA.L	A6,A2
	BGE.S	GL_ERJ ---->
	MOVE.L	A1,-(A7)
	MOVEA.L	A4,A1
	BSR.S	GLAB
	MOVEA.L	(A7)+,A1
	BMI.S	GL_ERJ ---->
GL_DEF	SUBQ.W	#1,D1
	TST.W	D3       plus?
	BPL.S	GL_PLUS	yes
	SUB.L	VAL(A4),D6
	SUB.W	D1,D7
	BRA.S	GL_LP
GL_PLUS	ADD.L	VAL(A4),D6
	ADD.W	D1,D7
	BRA.S	GL_LP
GL_END	MOVEQ	#5,D0
	CMPI.W	#0,D7	PC or N?
	BEQ.S	GL_FIVE	N
	CMPI.W	#1,D7	PC or error
	BEQ.S	GL_SIX
	ADDQ.W	#1,D0
GL_SIX	ADDQ.W	#1,D0
GL_FIVE	ANDI.B	#$F0,TYPE+1(A1)
	OR.B	D0,TYPE+1(A1)
	MOVE.L	D6,VAL(A1)
	SUBQ.W	#6,D0
	NEG.W	D0
	MOVEM.L	(A7)+,D1/D3/D6/D7/A3/A4
	RTS
GL_ERJ	MOVEQ	#7,D0
	BRA.S	GL_FIVE
;
; STRG (Uses D2)
;
; IN:-   A1 (STRG)
;        |  A1 (STRG1)
;  _______________________________ ______
; |      | string to be entered | * |
; |______|__|___________________|_/_|______
;			   /  
; ENTER,SPACE,( ) + - * , . /  (* Separator)
;			     |
; OUT:-			D0.B  A1
;  ____________________________
; | Len | string entered	 |
; |_____|______________________|
; 
; A2
;
STRG1	SUBQ.L	#1,A1	reset A1
STRG	LEA	BUF+2,A2
	MOVEQ	#0,D0
	MOVE.W	#BUF_SIZE,D2
ST_L	MOVE.B	(A1)+,D0
	CMPI.B	#'a',D0
	BLT.S	ST_L1
	BCLR	#5,D0	set to upper case
ST_L1	BSR.S	TST_SEP
	BEQ.S	GI_END
	MOVE.B	D0,(A2)+
	DBF	D2,ST_L
	MOVEQ	#-1,D0
	BRA.S	GI_EXIT ---->
GI_END	NEG.W	D2
	ADDI.W	#BUF_SIZE,D2
	LEA	BUF,A2
	MOVE.W	D2,(A2)
GI_EXIT	RTS
;
; TST_SEP sets Z if D0 is on the list & not-Z otherwise
;  List is "ENTER SPACE ( ) * + , - /"
;
TST_SEP	CMPI.B	#10,D0
	BEQ.S	T_EX
	CMPI.B	#32,D0
	BEQ.S	T_EX
	CMPI.B	#"(",D0
	BLT.S	TS_DO
	CMPI.B	#"/",D0
	BLE.S	TS_END
TS_DO	MOVE.W	#0,CCR
	BRA.S	T_EX
TS_END	MOVE.W	#4,CCR
T_EX	RTS
;
; DEC sets a decimal number from LBUF (A1) to D5.L
; D0 is the separator or -1 if an error
; A1 -> the next character after the separator
;
DEC	MOVEQ	#0,D5
	BRA.S	DEC_S
DEC_T	MOVE.B	(A1)+,D0
	BSR.S	TST_SEP
	BEQ.S	DC_END
DEC_S	SUBI.B	#48,D0
	BMI.S	WRN_DC ---->
	CMPI.B	#9,D0
	BGT.S	WRN_DC ---->
	AND.L	#15,D0
	ADD.L	D5,D5
	BVS.S	WRN_DC ---->
	ADD.L	D5,D0
	BVS.S	WRN_DC ---->
	ASL.L	#2,D5
	BVS.S	WRN_DC ---->
	ADD.L	D0,D5
	BVC.S	DEC_T
WRN_DC	MOVEQ	#-1,D0
DC_END	RTS
;
; HEX - as for DEC but converts hex -> decimal
;
HEX	MOVEM.L	D1/D2,-(A7)
	MOVEQ	#8,D1
	MOVEQ	#0,D5
HX_L	MOVE.B	(A1)+,D0	next byte
	BSR.S	TST_SEP
	BEQ.S	HX_END
	SUBI.B	#"0",D0
	BMI.S	WRN_HX ---->
	CMPI.B	#9,D0
	BLE.S	D_HX
	SUBQ.B	#7,D0
	CMPI.B	#16,D0
	BLT.S	HX_1	capitals
	SUBI.B	#32,D0
HX_1	CMPI.B	#10,D0
	BLT.S	WRN_HX ---->
	CMPI.B	#15,D0
	BGT.S	WRN_HX ---->
D_HX	LSL.L	#4,D5	prepare for next nibble
	OR.B	D0,D5	put it in
	DBF	D1,HX_L
WRN_HX	MOVEQ	#-1,D0
HX_END	MOVEM.L	(A7)+,D1/D2
	RTS
;
; RAS puts the ASCII string in quotes to BUF
; if the length is less than 5 the number is
; put in D5.L
;
RAS	MOVEM.L	D1-2,-(A7)
	MOVEM.L	D3/A2,-(A7)
	MOVE.B	D0,D2 separator ' or "
	MOVEQ	#0,D5
	LEA	BUF+2,A2
	MOVEQ	#BUF_SIZE,D3
RAS_1	MOVE.B	(A1)+,D0
	CMP.B	D2,D0	end?
	BEQ.S	RAS_2	yes
	MOVE.B	D0,(A2)+
	DBF	D3,RAS_1
RAS_ER	ADDQ.L	#8,A7
	BRA.S	WRN_HX ---->
RAS_2	MOVE.B	(A1)+,D0	next character
	BSR	TST_SEP
	BMI.S	RAS_ER ---->
	NEG.W	D3
	ADDI.W	#BUF_SIZE,D3
	LEA	BUF,A2
	MOVE.W	D3,(A2)
	CMPI.W	#4,D3
	BGT.S	RAS_3
	NEG.W	D3
	ADDQ.W	#4,D3
	LSL.W	#3,D3	32-8*D3
	MOVE.L	2(A2),D5
	LSR.L	D3,D5	right justify
RAS_3	MOVEM.L	(A7)+,D3/A2
	BRA.S	HX_END
;
; PUT_W puts D5.W to output buffer O_BUF
;
PUT_W	MOVEM.L	D0/D3/A0-3,-(A7)
	LEA	O_BEND,A0
	MOVE.L	A0,D0
	LEA	O_BUF,A1
	MOVEA.L	(A1),A0	pointer -> A0
	MOVE.W	D5,(A0)+	put it in
	MOVE.L	A0,(A1)	update pointer
	CMPA.L	D0,A0	end?
	BLT.S	NOFL	no
	BSR.S	FLUSH
NOFL	MOVEM.L	(A7)+,D0/D3/A0-3
	RTS
;
; FLUSH1 flushes O_BUF even if not full
; FLUSH flushes O_BUF from A0
;
FLUSH1	MOVEA.L	O_BUF,A0	current position to A0
FLUSH	MOVEM.L	D1/D2,-(A7)
	LEA	O_BUF+2,A1
	MOVE.L	A0,D0
	SUB.L	A1,D0	No of bytes
	SUBQ.W	#2,D0	adjust to length
	BEQ.S	FLEND
	MOVE.W	D0,(A1)	set length of string
	MOVEA.L	CH_OUT,A0
	BSR	UMT1
	TST.L	D0
	BNE	QUIT ----> fatal error
	LEA	O_BUF,A1
	LEA	4(A1),A2
	MOVE.L	A2,(A1)
FLEND	MOVEM.L	(A7)+,D1/D2
	RTS
;
; PUT_B is the same as PUT_W but puts a byte
;
PUT_B	MOVEM.L	D0/D3/A0-3,-(A7)
	LEA	O_BEND,A0
	MOVE.L	A0,D0
	LEA	O_BUF,A1
	MOVEA.L	(A1),A0	pointer -> A0
	MOVE.B	D5,(A0)+	put it in
	MOVE.L	A0,(A1)	update pointer
	CMPA.L	D0,A0	end?
	BLT.S	NOFLB	 no
	BSR.S	FLUSH
NOFLB	MOVEM.L	(A7)+,D0/D3/A0-3
	RTS
;
; LAB_NO sets LABEL number in D1.W given
; a name pointed to by A2
; D0=0 if OK, -1 if no label
; A0 -> LABEL or the next free space
;
; Uses D0 & D1 only
;
LAB_NO	MOVEA.L	BLLAB,A0
G_MAC	MOVEM.L	D2/A1/A3,-(A7)
	MOVEQ	#-1,D1
	MOVE.W	(A2),D0
LAB_L1	ADDQ.W	#1,D1
	MOVEA.L	A0,A1	label address to A1
	MOVE.W	(A1)+,D2	count
	BMI.S	LAB_NX	ignore DUMMIES
	BEQ.S	LAB_ER	LABEL not there
	CMP.W	D0,D2	same length?
	BNE.S	LAB_NX	no
	LEA	2(A2),A3	set A3 -> name
	BRA.S	LAB_C2
LAB_C1	CMPM.B	(A3)+,(A1)+
LAB_C2	DBNE	D2,LAB_C1
LAB_NX	LEA	32(A0),A0    next LABEL
	BNE.S	LAB_L1	not found
	LEA	-32(A0),A0    point to found LABEL
	MOVEQ	#0,D0
LAB_EX	MOVEM.L	(A7)+,D2/A1/A3
	RTS
LAB_ER	MOVEQ	#-1,D0
	BRA.S	LAB_EX
;
; FIND
; IN: A0 -> list of items {len|item} ending with len=0
;     A1 -> thing to be compared 'len|item'
;     D1 = No of items in list -1
;
; OUT: D1.W = No of item in list -1 or -1 if not in list
;
FIND	MOVEM.L	D0/D2-4/A0/A2/A3,-(A7)
	MOVE.W	(A1)+,D0	length
	MOVE.W	D1,D4
;
FND2	MOVE.W	A0,D2
	BTST	#0,D2	even address?
	BEQ.S	FND_E
	ADDQ.L	#1,A0	adjust to WORD
FND_E	MOVE.W	(A0)+,D2	item's length
	LEA	(A0,D2.W),A3    A3 -> next item
	CMP.W	D2,D0	compare lengths
	BNE.S	FND3	different
	MOVE.W	D0,D3
	MOVEA.L	A1,A2
	SUBQ.W	#1,D3
FND5	CMPM.B	(A2)+,(A0)+
	DBNE	D3,FND5	compare string
FND3	MOVEA.L	A3,A0	next item
	DBEQ	D1,FND2	go through items till equal
	BNE.S	FNDX	not found (D1.W = -1)
	SUB.W	D4,D1
	NEG.W	D1
FND1	MOVEM.L	(A7)+,D0/D2-4/A0/A2/A3
	RTS
FNDX	MOVEQ	#-1,D1
	BRA.S	FND1
;
; CH_LET sets D0.L=0 if D0.B is a-z,A-Z
;	        =-1 otherwise
;
CH_LET	CMPI.B	#91,D0
	BLT.S	CAPS
	SUBI.B	#32,D0
CAPS	CMPI.B	#65,D0
	BLT.S	CH_NOT
	CMPI.B	#90,D0
	BGT.S	CH_NOT
	MOVEQ	#0,D0
COUT	RTS
CH_NOT	MOVEQ	#-1,D0
	BRA.S	COUT
;
; NEW_LAB sets new label entry
;
; On entry A0 -> BLLAB entry
;	 A2 -> BUF (which has the LABEL)
;
NEW_LAB	MOVEA.L	TLLAB,A3
NEW_MAC	LEA	-32(A3),A3
	CMPA.L	A0,A3
	BLT.S	NL_ER --->
	MOVEA.L	A0,A3
	MOVE.W	(A2)+,D2	count
	MOVE.W	D2,(A3)+
	BRA.S	NL_L2
NL_L1	MOVE.B	(A2)+,(A3)+
NL_L2	DBF	D2,NL_L1
	RTS
;
NL_ER	ADDQ.L	#4,A7
	BRA	PR_E16 --->
;
; DO_ERR puts the error message no (D1.B)
;        to TER_LST, unless it is full
;
DO_ERR	MOVEM.L	D0/A0-2,-(A7)
	MOVEA.L	TER_LST,A2
	MOVEA.L	ER_LST,A0
	MOVE.L	LINE_NO,D0
	MOVEA.L	(A0),A1
DO_ERR2	SUBQ.L	#6,A1	previous entry
	CMPA.L	A0,A1
	BLT.S	DO_ERR1	no more entries
	CMP.L	(A1),D0	This line?
	BNE.S	DO_ERR1	no
	CMP.W	4(A1),D1	same error no?
	BEQ.S	NO_ER	yes - don't repeat it
	BRA.S	DO_ERR2
DO_ERR1	MOVEA.L	(A0),A1
	CMPA.L	A2,A1
	BGE.S	NO_ER
	MOVE.L	D0,(A1)+
	MOVE.W	D1,(A1)+
	MOVE.L	A1,(A0)
NO_ER	MOVEM.L	(A7)+,D0/A0-2
	RTS
;
; LTOD sets ASCII decimal for D0.L in
; a buffer indicated by A0 (and uses D1).
;
; At entry:
;   D0.L contains the (positive) number.
;   A0 points to the end of the area to
;   contain the ASCII decimal.
;
; At exit:
;   D0 = 0
;   A0 points to the start of the number.
;
LTOD	SWAP	D0
	BEQ.S	LTODW2
	MOVE.W	D0,D1
	BEQ.S	LTODW
	EXT.L	D1
	DIVU	#10,D1
	SWAP	D1
	MOVE.W	D1,D0
	SWAP	D0
	DIVU	#10,D0
	SWAP	D0
	ADDI.W	#48,D0
	MOVE.B	D0,-(A0)
	SWAP	D0
	MOVE.W	D0,D1
	MOVE.L	D1,D0
	BRA.S	LTOD
LTODW1	DIVU	#10,D0
	SWAP	D0
LTODW2	ADDI.W	#48,D0
	MOVE.B	D0,-(A0)
	CLR.W	D0
LTODW	SWAP	D0
	BNE.S	LTODW1
	RTS
;
; PRERS sets up BUF with the number of ERRORs
;
PRERS	MOVE.L	A0,-(A7)
	LEA	BUF,A1
	MOVE.W	#20,(A1)+ 	count
	MOVEQ	#4,D0
PRERS1	MOVE.L	#$20202020,(A1)+
	DBF	D0,PRERS1
	LEA	11+BUF,A4
	MOVE.L	#" ERR",1(A4)
	MOVE.L	#"ORs ",5(A4)
	MOVEA.L	A4,A0
	MOVE.L	NO_ERRS,D0
	BNE	PRERS2
	MOVE.B	#'N',-2(A0)
	MOVE.B	#'o',-1(A0)
	BRA	PRERS3
PRERS2	CMPI.L	#1,D0
	BNE	PRERS4
	MOVE.B	#32,7(A4) 	cut off "s"
PRERS4	BSR	LTOD
PRERS3	LEA	BUF,A1
	MOVEA.L	(A7)+,A0
	RTS
;
ERROR	DC.W	14
	DC.B	"        ERROR "
ERROR1	DC.W	32
	DC.B	"Wrong character in number/label",10
ERROR2	DC.W	17
	DC.B	"Number too large",10
ERROR3	DC.W	14
	DC.B	"EQU list full",10
ERROR4	DC.W	9
	DC.B	"No LABEL",10
ERROR5	DC.W	17
	DC.B	"LABEL wrong type",10
ERROR6	DC.W	13
	DC.B	"Out of range",10
ERROR7	DC.W	18
	DC.B	"Unrecognised size",10
ERROR8	DC.W	16
	DC.B	"Too many LABELs",10
ERROR9	DC.W	16
	DC.B	"Wrong separator",10
ERROR10	DC.W	21
	DC.B	"Too many expressions",10
ERROR11	DC.W	17
	DC.B	"LABEL table full",10
ERROR12	DC.W	17
	DC.B	"INSERT list full",10
ERROR13	DC.W	13
	DC.B	"Reg expected",10
ERROR14	DC.W	28
	DC.B	"Incorrect Effective Address",10
ERROR15	DC.W	14
	DC.B	"SIZE expected",10
ERROR16	DC.W	11
	DC.B	"Wrong SIZE",10
ERROR17	DC.W	15
	DC.B	"Number too big",10
ERROR18	DC.W	13
	DC.B	"Illegal mode",10
ERROR19	DC.W	15
	DC.B	"Comma expected",10
ERROR20	DC.W	15
	DC.B	"LABEL expected",10
ERROR21	DC.W	20
	DC.B	"Illegal instruction",10
ERROR22	DC.W	18
	DC.B	"Error in reg list",10
ERROR23	DC.W	29
	DC.B	"Label defined more than once",10
ERROR24	DC.W	18
	DC.B	"Label not defined",10
ERROR25	DC.W	10
	DC.B	"Zero jump",10
ERROR26	DC.W	18
	DC.B	"SIZE not expected",10
ERROR27	DC.W	20
	DC.B	"Can't open LIB file",10
ERROR28	DC.W	20
	DC.B	"Can't load LIB file",10
ERROR29	DC.W	8
	DC.B	'No ENDM',10
ERROR30	DC.W	21
	DC.B	'MACRO already exists',10
ERROR31	DC.W	17
	DC.B	'Faulty parameter',10
ERROR32	DC.W	20
	DC.B	'Too many parameters',10
ERROR33	DC.W	26
	DC.B	'Wrong parameter for MACRO',10
;
ETB	DC.W	ERROR1-ETB
	DC.W	ERROR2-ETB
	DC.W	ERROR3-ETB
	DC.W	ERROR4-ETB
	DC.W	ERROR5-ETB
	DC.W	ERROR6-ETB
	DC.W	ERROR7-ETB
	DC.W	ERROR8-ETB
	DC.W	ERROR9-ETB
	DC.W	ERROR10-ETB
	DC.W	ERROR11-ETB
	DC.W	ERROR12-ETB
	DC.W	ERROR13-ETB
	DC.W	ERROR14-ETB
	DC.W	ERROR15-ETB
	DC.W	ERROR16-ETB
	DC.W	ERROR17-ETB
	DC.W	ERROR18-ETB
	DC.W	ERROR19-ETB
	DC.W	ERROR20-ETB
	DC.W	ERROR21-ETB
	DC.W	ERROR22-ETB
	DC.W	ERROR23-ETB
	DC.W	ERROR24-ETB
	DC.W	ERROR25-ETB
	DC.W	ERROR26-ETB
	DC.W	ERROR27-ETB
	DC.W	ERROR28-ETB
	DC.W	ERROR29-ETB
	DC.W	ERROR30-ETB
	DC.W	ERROR31-ETB
	DC.W	ERROR32-ETB
	DC.W	ERROR33-ETB
;
TRAIL1	DC.W	4
	DC.B	'_ASM'
TRAIL2	DC.B	'_BIN_LST_TMP_SYM'
;
BEEP	BSR.S	BLP
	MOVEA.L	ID_CON,A0
	BRA	REP3
;
BLP	LEA	NOISE,A3
	MOVEQ	#MT_IPCOM,D0
	TRAP	#1
	RTS
;
NOISE	DC.B	10,8
	DC.L	$AAAA
	DC.B	1,20,90,0,$10,$27
	DC.B	$F4,$A2,1,0
;
CON	DC.B	230,2	border
	DC.B	BLACK,GREEN	paper/ink
	DC.W	340,84,100,50
;
HEAD2	DC.W	12
	DC.B	"PASS 1      "
HEAD3	DC.W	6
	DC.B	"PASS 2"
;
TMP_NME	DS.L	10
UMT	MOVEA.L	ID_CON,A0
UMT1	MOVE.W	UT_MTEXT,A2
	JSR	(A2)
	RTS
;
AT	MOVEQ	#SD_POS,D0
TP3	TRAP	#3
	RTS
;
INK	MOVEQ	#SD_SETIN,D0
	BRA.S	TP3
;
CURON1	MOVEQ	#-1,D3
CURON	MOVEQ	#SD_CURE,D0
	BRA.S	TP3
;
CUROF1	MOVEQ	#-1,D3
CUROF	MOVEQ	#SD_CURS,D0
	BRA.S	TP3
;
	IN	RAM1_GWASL2_ASM
	IN	RAM1_GWASL3_ASM
	IN	RAM1_GWASL4_ASM
;
