; GWASL2_ASM on H33_newgwasl_
; and win1_ass
; 2nd February 2000
;
; Version 1.2
; 1. Allows TRAP #15 (alteration to CMP_d4)
; 2. Corrects INS EA of lab.L
; 3. Sets extension word 0 in D1 in EA_INS & EA_DL
;
; An ASSEMBLER program
;    PART 2
;
; Some more subroutines
;
; GNUM	  D0 A1
;   ___________________________
;  |_______|__|__________________|
;
; For entry 'GNUM'	D0 <- separator & A1 -> 1st digit
; For entry 'GNUM1' D0 <- 1st digit
;
;  OUT: D1.L = TYPE 	     D2 =  VALUE
;	-2 = String in (A2)>4       -
;	-1 = Error	        -
;	 0 = Label undetermined  Label number*
;	 1 = N (number)	     VALUE
;	 2 = PC		     VALUE
;	 4 = EQ list exists      Pointer to EQ list*
;
;			     * D2(bit 32)=0 for +,1 for -
;
; Alters no other registers
;
; D6.L use is:-	     15	         2 0
;      ___________________________________
;     |  LABEL no	    |.	         ...|
;			         
;   Bit 2 	   EQU list started ||
;       1     Unknown LABEL has occurred |
;       0 	A number has occurred
;
GNUM	MOVE.B	(A1)+,D0
GNUM1	MOVEM.L	D3-7/A0/A2-3/A6,-(A7)
	MOVEQ	#0,D7	S(PC)
	MOVEQ	#0,D6
	MOVEQ	#0,D2	Value
	MOVEQ	#1,D3	plus
	CMPI.B	#"-",D0	minus?
	BNE.S	GN_PL1	 no
	MOVEQ	#-1,D3
GN_PL	MOVE.B	(A1)+,D0	next character
GN_PL1
	CMPI.B	#"*",D0
	BEQ	GN_PC
	CMPI.B	#"$",D0
	BEQ	GN_HX
	CMPI.B	#'"',D0
	BEQ	GN_ASC
	CMPI.B	#"'",D0
	BEQ	GN_ASC
	CMPI.B	#"0",D0
	BMI	GN_ER1 ---->
	CMPI.B	#"9",D0
	BLE	GN_DE
	BSR	CH_LET
	BNE	GN_ER1 ---->
	MOVEM.L	D2,-(A7)
	BSR	STRG1
	MOVEM.L	(A7)+,D2
	BMI	GN_ER2 ---->
	CMPI.W	#24,(A2)
	BLE.S	GN_L4
	MOVE.W	#24,(A2)
GN_L4	MOVE.B	D0,D4	keep in D4
	BSR	LAB_NO
	TST.L	D0     label?
	BEQ	GN_LABF  yes
	MOVE.L	D2,-(A7)
	BSR	NEW_LAB
	MOVE.L	(A7)+,D2
GN_L2	BTST	#2,D6	has EQ list started?
	BNE.S	GN_Q1	yes
	BSET	#1,D6	first unknown LABEL? (& mark this)
	BNE.S	GN_Q2	yes
	BTST	#0,D6	has a number occurred?
	BNE.S	GN_Q1	yes
GN_FST	SWAP	D6
	MOVE.W	D1,D6	label no -> D6
	SWAP	D6
	TST.B	D3
	BPL.S	GN_L3	plus
	BSET	#31,D6	mark minus
GN_L3	MOVE.B	D4,D0	restore char -> D0.B
GN_L1	MOVEQ	#1,D3	plus
	CMPI.B	#"+",D0
	BEQ	GN_PL
	CMPI.B	#"-",D0
	BNE	GN_OT
	MOVEQ	#-1,D3
	BRA	GN_PL
;
GN_Q2	BSR.S	GN_EQ1
GN_Q1	BSR	GN_SETQ
	BRA.S	GN_L3
;
GN_EQ1	MOVEM.L	D1/D3,-(A7)
	MOVEQ	#1,D3
	BCLR	#31,D6	clear minus
	BEQ.S	GN_EQ2
	MOVEQ	#-1,D3	minus
GN_EQ2	SWAP	D6
	MOVE.W	D6,D1	label no
	SWAP	D6
GN_HXP2	BSR	GN_SETQ
	MOVEM.L	(A7)+,D1/D3
	RTS
;
GN_PC	MOVE.B	(A1)+,D0	sets D0.B to separator
	BSR	TST_SEP	   OK?
	BMI	GN_ER1 ----> no
	MOVE.L	A5,D5	set 'value' in D5
	TST.L	D3
	BPL.S	GN_PCP
	SUBQ.W	#1,D7
	BRA.S	GN_HXM
GN_PCP
	ADDQ.W	#1,D7
	BRA.S	GN_HXP
;
GN_HX	BSR	HEX
	BNE	GN_ER1 ---->
GN_HX1	TST.L	D3
	BPL.S	GN_HXP
GN_HXM	NEG.L	D5
GN_HXP	BTST	#2,D6	EQ list?
	BNE.S	GN_HXPQ	yes
	BTST	#1,D6	unknown LABEL been?
	BEQ.S	GN_HXP1	no
	BSR.S	GN_EQ1	set up EQ list
GN_HXP1	BSET	#0,D6	mark 'number been'
GN_HXPQ	ADD.L	D5,D2
	BRA.S	GN_L1
;
GN_ASC	BSR	RAS
	BMI	GN_EROT ---->
	MOVE.L	A2,-(A7)
	LEA	BUF,A2
	CMPI.W	#4,(A2)
	MOVEA.L	(A7)+,A2
	BGT	GN_EROT1 ---->
	BRA.S	GN_HX1
;
GN_DE	BSR	DEC
	BNE	GN_ER2 ---->
	BRA.S	GN_HX1
;
GN_LABF	MOVE.W	TYPE(A0),D0
	BTST	#2,D0
	BEQ	GN_L2	not defined -> EQ list
	MOVE.L	VAL(A0),D5
	AND.W	#2,D0
	LSR.W	#1,D0
	TST.B	D3
	BPL.S	GN_LP
	NEG.W	D0
	NEG.L	D5
GN_LP	ADD.W	D0,D7
	MOVE.B	D4,D0	replace char in D0
	BRA.S	GN_HXP
;
GN_SETQ	BSET	#2,D6
	BNE.S	GN_Q
	MOVEA.L	EQB,A6
	MOVEA.L	(A6),A6
	LEA	6(A6),A6
GN_Q	MOVE.W	D3,(A6)+
	MOVE.W	D1,(A6)+
	CMPA.L	4+EQT,A6
	BLT.S	GN_SQK
	ADDQ.L	#4,A7
	BRA.S	GN_ER3 ---->
GN_SQK	RTS
;
GN_OT	TST.W	D6
	BMI.S	GN_EROT	error already signalled
	MOVEQ	#0,D1
	BTST	#2,D6	EQ list?
	BNE.S	GN_XX    yes
	BTST	#1,D6	Unknown LABEL?
	BEQ.S	GN_NOQ	no
	SWAP	D6
	MOVE.W	D6,D2	LABEL no -> D2
	SWAP	D6
	BCLR	#15,D2	 clear minus
	BEQ.S	GN_OT1
	BSET	#31,D2	set minus
	BRA.S	GN_OT1
;
GN_XX	MOVEA.L	EQB,A0
	MOVEA.L	(A0),A3
	CLR.W	(A6)+	mark end of list
	MOVE.L	A6,(A0)	new pointer set
	MOVE.L	D2,(A3)	constant set
	MOVE.L	A3,D2	pointer to D2.L as VALUE
	MOVE.W	D7,4(A3)	S(PC) set
	MOVEQ	#4,D1	set EQ marker
	BRA.S	GN_OT1
GN_NOQ	CMPI.W	#0,D7	N?
	BEQ.S	GN_ONE	yes
	CMPI.W	#1,D7	PC?
	BEQ.S	GN_TWO	yes
	BRA.S	GN_ER1 ---->
GN_TWO	ADDQ.L	#1,D1
GN_ONE	ADDQ.L	#1,D1
GN_OT1	MOVEM.L	(A7)+,D3-7/A0/A2-3/A6
	RTS
GN_EROT	MOVEQ	#-1,D1
	BRA.S	GN_OT1
GN_EROT1	MOVEQ	#-2,D1
	BRA.S	GN_OT1
;
GN_ER1	MOVEQ	#1,D1
	BRA.S	GN_ER
GN_ER2	MOVEQ	#2,D1
	BRA.S	GN_ER
GN_ER3	MOVEQ	#3,D1
GN_ER	BSR	DO_ERR
	BRA.S	GN_EROT
;
; **********
; *  E A	 *     A5 is the current PC
; **********
; At entry EA:-  A1 -> 1st character of Effective Address
;	       D0.B is the preceding char
;
; At entry EA1:- A1 -> 2nd character of Effective Address
;	       D0.B is the 1st character of EA
;
;	       D7.W marks the EA modes allowed.
;	       Each bit from 0 to 11 represents a mode.
;	       If the bit is 0 the mode is allowed.
;
;	  Bit  Addressing Mode  Mode Register
;
;	    0	  Dn	     000	 -
;	    1	  An	     001	 -
;	    2	  (An)	     010	 -
;	    3	  (An)+	     011	 -
;	    4	  -(An)	     100	 -
;	    5	  d(An)	     101	 -
;	    6	  d(An,Xn.S)   110	 -
;	    7	  Abs short    111	000
;	    8	  Abs long     111	001
;	    9	  n(PC)	     111	010
;	   10	  n(PC,Xn.S)   111	011
;	   11	  #d	     111	100
;
;	   Bits 12 -14 represent SR, CCR and USP
;	   If bit 15 is set MODE/REG will be
;	   set in D5
;
; At exit:-      D0.B is the separator ("," SPACE or ENTER)
;	       A1 -> the next character
;	       D1.L is the extension word (if any)
;	        ________________________________
;	       |.|reg no|.|0 0 0|constant	|
;	       |_|_____ |_|_____|_______________|
;	                
;	        0=D      0=W
;	        1=A      1=L
;
; Any extension words are put into OBUF
;
;
;
;	         9 8	3    0
;	 _________________________
;  D2.W = |_______|____|__|____|____|
;		      mode reg
;		0= no {ext}
;		1= 1 extension word
;		2= 2 extension words
;
;  D5.W is set if #d3, d4 or d8 is encountered
;     d3 -> bits 9-11
;     d4 -> bits 0- 3
;     d8 -> bits 0- 7
;
;  A5 is advanced to take account of [ext]
;
EA	MOVE.B	(A1)+,D0
EA1	MOVEM.L	D3/D4/D6/A0/A2-4/A6,-(A7)
	CMPI.B	#"(",D0
	BEQ	EA_236
	CMPI.B	#"-",D0
	BNE.S	EA_L1
	CMPI.B	#"(",(A1)
	BEQ	EA_4
	BRA.S	EA_NUM
EA_L1	MOVE.B	D0,D4
	CMPI.B	#"#",D0
	BEQ	EA_74
	MOVEA.L	A1,A0
	BSR	STRG1
	BMI	EA_ER13
	MOVEQ	#18,D1
	MOVEM.L	A0/A1,-(A7)
	LEA	D_LIST,A0
	MOVEA.L	A2,A1
	BSR	FIND
	MOVEM.L	(A7)+,A0/A1
	BPL	EA_01
	MOVEA.L	A0,A1
	MOVE.B	D4,D0
EA_NUM	BSR	GNUM1
	TST.L	D1
	BMI	EA_ER1
	CMPI.B	#"(",D0
	BEQ	EA_567
	CMPI.B	#".",D0
	BEQ	EA_S701
	CMPI.B	#1,D1
	BEQ	EA_70_71
	BLT.S	EA_ZERO
	SUBQ.B	#2,D1
	BEQ.S	EA_PCK
	MOVEQ	#11,D3
	BSR.S	EA_DL
EA_ZL2	MOVEQ	#0,D1
EA_ZL1	MOVE.L	#$13A,D2
	BRA	EA_EXIT
;
; Set LAB to PC & set up INS
;
EA_ZERO	MOVEA.L	BLLAB,A0
	MOVEQ	#11,D3
	SWAP	D3
	MOVE.W	D2,D3
	EXT.L	D2
	LSL.L	#5,D2
	ORI.W	#2,TYPE(A0,D2.L)
	BSR.S	EA_INS
	BRA.S	EA_ZL2
;
; Known PC type
;
EA_PCK	SUB.L	A5,D2
	BSR	CMP_W1
	BMI	EA_ER2 --->
	MOVE.W	D2,D1	set PC value
	BRA.S	EA_ZL1
;
; For entry EA_DL:- D3.W = INS Type (GNUM type 4) w'out sign set
;		         _________________
; For entry EA_INS:- D3.L = |INS Type | LAB No|
;
EA_DL	SWAP	D3
	CLR.W	D3
	MOVEA.L	TLLAB,A4
	MOVEA.L	BLLAB,A0
EA_DL1	TST.W	(A0)
	BEQ.S	EA_DL2	found
	LEA	32(A0),A0    next
	ADDQ.W	#1,D3	count
	CMPA.L	A4,A0	more room?
	BLT.S	EA_DL1	yes
	BRA	EA_ER12 ---->
EA_DL2	MOVE.W	#-1,(A0)	set dummy label
	MOVE.L	D2,D1
	BCLR	#31,D1	clear sign bit
	MOVE.L	D1,VAL(A0)
	MOVE.W	#9,TYPE(A0)  set EQlist|N
	BTST	#19,D3	PC?
	BNE.S	EA_INS	no
	ADDQ.W	#1,TYPE(A0)	set to PC
EA_INS	MOVEA.L	BINS,A4
	MOVEA.L	(A4),A0
	MOVE.L	A5,(A0)+	PC
	MOVE.W	D3,(A0)+	LAB No
	SWAP	D3
	BTST	#31,D2
	BEQ.S	EA_INS2
	BSET	#7,D3
EA_INS2	MOVE.W	D3,(A0)+	INS Type
	MOVE.L	TINS,D2
	ADDQ.L	#8,D2
	CMPA.L	D2,A0
	BGE	EA_ER12 ---->
	MOVE.L	A0,(A4)
	MOVEQ	#0,D2	ready for EA output
	MOVEQ	#0,D1	zero extension word
	RTS
;
;  DO_SIZE sets D1.W = -1 mistake
;		    0 B
;		    1 W
;		    2 L
; At entry	       At exit
;   ____________________   _______________________
;  |	|.| | |	      |	  |.| | | |
;	 		       
;      D0.B |		   D0.B |
;	  A1		        A1
;
DO_SIZE	MOVE.B	(A1)+,D1	B, W or L
	BCLR	#5,D1	make upper case
	MOVE.B	(A1)+,D0	'Sep' to D0.B
	MOVEM.L	A0-1,-(A7)
	LEA	ITEM,A1
	MOVE.B	D1,2(A1)
	LEA	SIZE_LST,A0
	MOVEQ	#2,D1
	BSR	FIND
	MOVEM.L	(A7)+,A0-1
	RTS
;
SIZE_LST	DC.W	1
	DC.B	"B"
	DC.W	1
	DC.B	"W"
	DC.W	1
	DC.B	"L"
ITEM	DC.W	1,0
;
; The CMP_ routines set CCR N if D2.L is outside the range
;
CMP_B	CMPI.L	#256,D2
	BGE.S	CMP_WR
	CMPI.L	#-128,D2
CMP_1	BLT.S	CMP_WR
CMP_OK	ANDI	#$17,CCR
CMP_EX	RTS
CMP_WR	ORI	#8,CCR
	RTS
CMP_W1	CMPI.L	#32768,D2
	BRA.S	CMP_W2
CMP_W	CMPI.L	#65536,D2
CMP_W2	BGE.S	CMP_WR
	CMPI.L	#-32768,D2
	BRA.S	CMP_1
CMP_d3	CMPI.L	#8,D2
	BGT.S	CMP_WR
	CMPI.L	#1,D2
	BRA.S	CMP_1
CMP_d4	CMPI.L	#15,D2
	BGT.S	CMP_WR
	CMPI.L	#0,D2
	BRA.S	CMP_1
;
; -(An)
;
EA_4	ADDQ.L	#1,A1	set A1 -> reg start
	BSR	EA_GETAL
	BMI	EA_ER13 ---->
	CMPI.B	#")",D0
	BNE	EA_ER14 ---->
	ADDI.W	#32,D1	mode 4
	EXT.L	D1
	MOVE.L	D1,D2
	BRA	EA_EXIT2
;
EA_74	BSR	GNUM
	TST.W	D1
	BMI	EA_ER1 ---->
	BEQ.S	EA_74ZE
	SUBQ.W	#2,D1
	BEQ	EA_ER5 ---->
	BMI	EA_7N	GNUM Type 1
EA_74ZE	MOVEQ	#-3,D3
	ADD.B	SIZE,D3
	EXT.W	D3
	MOVE.W	D3,D6
	BPL.S	EA_74L
	ADDQ.W	#5,D3
EA_74L	TST.W	D1
	BEQ	EA_74ZF
	BSR	EA_DL
EA_74P	TST.W	D6
	BPL.S	EA_74M
	MOVE.L	D3,D2
	AND.B	#6,D2
	LSL.W	#7,D2	No of [EXT] wds
EA_74M	ADDI.W	#$3C,D2	mode|reg
	BRA	EA_EXIT
;
; (An), (An)+ or (A,Xn.S)
;
EA_236	BSR	EA_GETAL
	BMI	EA_ER13 ---->
	MOVE.W	D1,D4
	CMPI.B	#")",D0
	BEQ.S	EA_2_3
	CMPI.B	#",",D0
	BNE	EA_ER14 ---->
; MODE 6
EA_6	LEA	B_CNST,A0
	CLR.B	(A0)	zero constant for mode 6
EA_6X	BSR	STRG	constant comes from B_CNST
	BMI	EA_ER1 ---->
	MOVE.L	A1,-(A7)
	LEA	D_LIST,A0
	MOVEQ	#15,D1
	MOVEA.L	A2,A1
	BSR	FIND
	MOVE.W	D1,D6
	MOVEA.L	(A7)+,A1
	BMI	EA_ER13 ---->
	CMPI.B	#".",D0
	BNE	EA_ER15 ---->
	MOVEQ	#0,D0
	BSR	DO_SIZE
	BMI	EA_ER16 ---->
	CMPI.B	#")",D0
	BNE	EA_ER14 ---->
	LSL.L	#8,D6
	LSL.L	#4,D6
	SUBQ.W	#1,D1
	BMI	EA_ER16 ---->
	BEQ.S	EA_6L
	BSET	#11,D6	D6 ready for output
EA_6L	MOVE.W	D6,D1
	OR.B	B_CNST,D1 add constant
	MOVE.W	D4,D2
	EXT.L	D2
	ORI.W	#$130,D2
	BRA	EA_EXIT2
;
B_CNST	DS.B	1
;
EA_2_3	MOVE.B	(A1)+,D0
	CMPI.B	#"+",D0
	BEQ.S	EA_THREE
	ORI.W	#$10,D4
EA_THL	EXT.L	D4
	MOVE.L	D4,D2
	BRA	EA_EXIT
EA_THREE	ORI.W	#$18,D4
	MOVE.B	(A1)+,D0
	BRA.S	EA_THL
;
EA_74ZF	SWAP	D3
	MOVE.W	D2,D3	label no (for INS)
	MOVE.W	D2,D1
	EXT.L	D1
	LSL.L	#5,D1
	MOVEA.L	BLLAB,A0
	ORI.W	#1,TYPE(A0,D1.L)
	BSR	EA_INS
	BRA	EA_74P
;
EA_7N	MOVE.L	D2,D1
	MOVE.L	#$3C,D3
	MOVE.B	SIZE,D4
	BEQ.S	EA_7N0	size 0
	CMPI.B	#2,D4	 *************************
	BMI.S	EA_7N1	 *     D3 (bits 0 to 9)  *
	BEQ.S	EA_7N2	 *	  	     *
	CMPI.B	#4,D4	 * |9 8|7 6 5 4|3 2 1 0| *
	BMI.S	EA_7N3	 * |---|-------|-------| *
	BEQ.S	EA_7N4	 * | k |. . 1 1|1 1 0 0| *
	BSR	CMP_B	 *************************
	BMI	EA_ER16 ---->   *  SIZE TEST k  *
	MOVE.B	D1,D5	      *	 0   B   1  * [=256]
	BRA.S	EA_7N02	      *	 1   W   1  *
;			      *	 2   -   2  * [=512]
EA_7N0	BSR	CMP_B	      *	 3   d3  0  *
EA_7N01	BMI	EA_ER16 ---->   *	 4   d4  0  *
	ADD.W	#256,D3	      *	 5   B   0  *
EA_7N02	MOVE.L	D3,D2	      *****************
	BRA	EA_EXIT
;
EA_7N1	BSR	CMP_W
	BRA.S	EA_7N01
EA_7N2	ADDI.W	#512,D3
	BRA.S	EA_7N02
EA_7N3	BSR	CMP_d3
	BMI	EA_ER16 ---->
	ANDI.W	#7,D1
	ADD.W	D1,D1
	LSL.W	#8,D1
EA_7N31	OR.W	D1,D5
	BRA.S	EA_7N02
EA_7N4	BSR	CMP_d4
	BMI	EA_ER16 ---->
	BRA.S	EA_7N31
;
EA_01	MOVEQ	#0,D2
	ADD.W	D1,D2
	CMPI.B	#16,D1
	BLT	EA_EXIT	not SR, CCR & USP
	ADD.W	#$2D,D2
	BRA	EA_EXIT
;
EA_567	MOVE.W	D1,D6
	MOVE.L	D2,D4	keep number
	BSR	STRG
	BMI	EA_ER1 ---->
	MOVE.L	D4,D2	replace number
	MOVEQ	#15,D1
	MOVE.L	A1,-(A7)
	LEA	D_LIST,A0
	MOVEA.L	A2,A1
	BSR	FIND
	MOVEA.L	(A7)+,A1
	BMI	EA_ER13 ---->
	MOVE.W	D1,D4
	CMPI.B	#8,D1	D?
	BLT.S	EA_SEV	yes
	CMPI.B	#")",D0
	BEQ	EA_FIVE
	CMPI.B	#",",D0
	BEQ	EA_SIX
EA_SEV	CMPI.B	#".",D0
	BNE	EA_ER15 ---->
	BSR	DO_SIZE
	BMI	EA_ER16 ---->
	BEQ	EA_ER16 ---->
	LSL.L	#8,D4
	LSL.L	#4,D4
	SUBQ.B	#1,D1
	BEQ.S	EA_SEVW
	BSET	#11,D4
;
;    To get constant for mode 7(3)
;      D6 = 0  LAB
;	  1  N
;	  2  PC
;	  4  EQ list
;
EA_SEVW	CMPI.B	#1,D6
	BEQ	EA_ER5 ---->
	BMI.S	EA_SEVZ	LAB unknown
	CMPI.B	#2,D6
	BEQ.S	EA_SEVK	PC known
	MOVEQ	#10,D3
	BSR	EA_DL
EA_SEVQ	MOVE.W	D4,D1
	MOVE.L	#$13B,D2
	BRA	EA_EXIT2
EA_SEVZ	MOVEA.L	BLLAB,A0
	MOVEQ	#10,D3
	SWAP	D3
	MOVE.W	D2,D3
	EXT.L	D2
	LSL.L	#5,D2
	ORI.W	#2,TYPE(A0,D2.L)
	BSR	EA_INS
	BRA.S	EA_SEVQ
EA_SEVK	BSR	CMP_B
	BMI	EA_ER16 ---->
	MOVE.B	D2,D4
	BRA.S	EA_SEVQ
;
; mode 7(1) Absolute address with .S
;
EA_S701	MOVE.W	D1,D6
	BSR	DO_SIZE
	BMI	EA_ER16 ---->
	BEQ	EA_ER16 ---->
	MOVEQ	#3,D3
	MOVE.L	#$138,D4
	SUBQ.W	#1,D1
	BEQ.S	EA_S7R
	MOVEQ	#4,D3	* added 1 FEB 00 *
	ADDI.W	#$101,D4
EA_S7R	CMPI.B	#1,D6	type N
	BEQ.S	EA_S7K
	BLT.S	EA_S7Z
	CMPI.B	#2,D6
	BEQ	EA_ER5 ---->
	BSR	EA_DL
EA_S7B	MOVEQ	#0,D1
EA_S7B1	MOVE.W	D4,D2
	EXT.L	D2
	BRA	EA_EXIT
EA_S7Z	PEA	EA_S7B
	BRA	EA_FIZ1
EA_S7K	BTST	#0,D4
	BNE.S	EA_S7K1
	BSR	CMP_W
	BMI	EA_ER16 ---->
EA_S7K1	MOVE.L	D2,D1
	BRA.S	EA_S7B1
;
;  n(An)
;
EA_FIVE	CMPI.B	#2,D6
	BEQ	EA_ER5 ---->
	BPL.S	EA_FIEQ	EQlist
	TST.L	D6
	BEQ.S	EA_FIZ	undetermined LABEL
	BSR	CMP_W
	BMI	EA_ER2 ---->
	MOVE.W	D2,D1	constant set
EA_FIL	MOVE.L	#$120,D2
	OR.W	D4,D2	set reg
	BRA	EA_EXIT2
EA_FIEQ	MOVEQ	#3,D3	ins type
	BSR	EA_DL
	BRA.S	EA_FIZL
EA_FIZ	MOVEQ	#3,D3
	PEA	EA_FIZL
EA_FIZ1	SWAP	D3
	MOVE.W	D2,D3	LABEL
	EXT.L	D2
	LSL.L	#5,D2
	MOVEA.L	BLLAB,A0
	ORI.W	#1,TYPE(A0,D2.L)
	BRA	EA_INS
EA_FIZL	MOVEQ	#0,D1
	BRA.S	EA_FIL
;
;  n(An,Xn.S)
;
EA_SIX	ANDI.W	#7,D4	keep reg
	CMPI.B	#2,D6
	BEQ	EA_ER5 ---->
	BPL.S	EA_SIEQ
	TST.B	D6
	BEQ.S	EA_SIZ
	BSR	CMP_B
	BMI	EA_ER2 ---->
	LEA	B_CNST,A0
	MOVE.B	D2,(A0)
	BRA	EA_6X
EA_SIZ	MOVEQ	#2,D3
	PEA	EA_6
;	 SWAP	 D3
;	 MOVE.W	 D2,D3	 LAB no
;	 EXT.L	 D2
;	 LSL.L	 #5,D2
;	 MOVEA.L	 BLLAB,A0
;	 ORI.W	 #1,TYPE(A0,D2.L)
	BRA	EA_FIZ1
EA_SIEQ	MOVEQ	#2,D3
	BSR	EA_DL
	BRA	EA_6
;
; Subroutine
;
EA_GETAL	BSR	STRG
	BMI.S	EA_GTAX
	MOVE.L	A1,-(A7)
	LEA	A_LIST,A0
	MOVEQ	#7,D1
	MOVEA.L	A2,A1
	BSR	FIND
	MOVEA.L	(A7)+,A1
	RTS
EA_GTAX	ADDQ.L	#4,A7
	BRA	EA_ER1
;
EA_70_71	MOVEQ	#0,D4
	MOVE.L	D2,D1
	BSR	CMP_W
	BPL.S	EA_70_A
	MOVE.W	#$101,D4
EA_70_A	ADDI.W	#$138,D4
	MOVE.L	D4,D2
	BRA.S	EA_EXIT
;
; Test that EA mode is allowed
; and check that the separator (D0.B) is one of
;   , SPACE ENTER
;
EA_EXIT2	MOVE.B	(A1)+,D0	go past ")"
EA_EXIT	CMPI.B	#",",D0
	BEQ.S	EA_EXIT1
	CMPI.B	#32,D0
	BEQ.S	EA_EXIT1
	CMPI.B	#10,D0
	BEQ.S	EA_EXIT1
	LEA	PR7_RET1,A0
	CMPA.L	32(A7),A0   is this MOVEM?
	BNE.S	EA_ER9 ---->    no
EA_EXIT1	MOVEQ	#1,D3
	MOVE.B	D2,D4
	LSR.B	#3,D4	mode
	CMPI.B	#7,D4
	BLT.S	EA_EX1
	MOVE.B	D2,D4
	ANDI.B	#7,D4
	ADDQ.B	#7,D4	reg + 7
EA_EX1	LSL.W	D4,D3
	AND.W	D7,D3
	BNE.S	EA_ER18 ---->
	TST.W	D7
	BPL.S	EA_EX
	MOVE.W	D2,D4
	ANDI.W	#$3F,D4
	OR.W	D4,D5	insert mode|reg
EA_EX	CMPI.W	#256,D2
	BLT.S	EA_EX2	no [ext]
	LEA	OBUF,A0
	MOVEA.L	(A0),A2
	CMPI.W	#512,D2
	BLT.S	EA_EX3
	MOVE.L	D1,(A2)+
	ADDQ.L	#2,A5
	BRA.S	EA_EX4
EA_EX3	MOVE.W	D1,(A2)+
EA_EX4	MOVE.L	A2,(A0)	update pointer
	ADDQ.L	#2,A5
EA_EX2	MOVEM.L	(A7)+,D3/D4/D6/A0/A2-4/A6
	RTS
;
EA_ER1	MOVEQ	#1,D1
EA_ERX	LEA	36(A7),A7    adjust for RTS & 8 regs
PR_ER	BSR	DO_ERR
	BSR	PUT_W
	BRA	INST_ED2
EA_ER2	MOVEQ	#2,D1
	BRA.S	EA_ERX
EA_ER5	MOVEQ	#5,D1
	BRA.S	EA_ERX
EA_ER9	MOVEQ	#9,D1
	BRA.S	EA_ERX
EA_ER12	MOVEQ	#12,D1
	ADDQ.L	#4,A7	called from middle of sr EA_DL
	BRA.S	EA_ERX
EA_ER13	MOVEQ	#13,D1
	BRA.S	EA_ERX
EA_ER14	MOVEQ	#14,D1
	BRA.S	EA_ERX
EA_ER15	MOVEQ	#15,D1
	BRA.S	EA_ERX
EA_ER16	MOVEQ	#16,D1
	BRA.S	EA_ERX
EA_ER17	MOVEQ	#17,D1
	BRA.S	EA_ERX
EA_ER18	MOVEQ	#18,D1
	BRA.S	EA_ERX
