; GWASL4_ASM on H33
; and win1_ass
; 9th February 2000
;
; Version 1.3 - Config block added
;
; An ASSEMBLER program
;    PART 4
; PUT_BCT and  QUIT
;       &
;    STORAGE
;
PUT_BCT
	LEA	O_BEND,A3
	MOVE.L	A3,D0
	LEA	O_BUF,A4
	MOVEA.L	(A4),A3	pointer
	TST.W	D3	size .B?
	BEQ.S	PUT_BCTV	yes - don't adjust PC
	BTST	#0,D5	was PC odd?
	BEQ.S	PUT_BCTV	no
	ADDQ.L	#1,A3	adjust to WORD
	MOVE.L	LINE_NO,D5
	MOVEA.L	PC_LST,A2
	LSL.L	#2,D5
	ADDQ.L	#1,(A2,D5.L)
PUT_BCTV	MOVE.L	D4,D5
	SUB.L	A3,D0	space in O_BUF
	CMP.L	D5,D0	will it fit?
	BLE.S	PUT_BCT5	no
PUT_BCT4	ADDA.W	D5,A3	advance pointer
	MOVE.L	A3,(A4)
	RTS
;
PUT_BCT5	SUB.L	D0,D5
	LEA	O_BEND,A0
	MOVEM.L	D1/A4,-(A7)
	BSR	FLUSH	flush a full buffer
	MOVEM.L	(A7)+,D1/A4
	MOVEA.L	A2,A3	start of O_BUF
	CMP.L	D5,D1	will it fit?
	BLT.S	PUT_BCT4	yes
	MOVE.W	#$7000,D2 wodge size
	DIVU	D2,D5
	BVS.S	PUT_BCTE --->
	MOVEQ	#-1,D3
	MOVEA.L	CH_OUT,A0
	BRA.S	PUT_BCT1
PUT_BCT3	BSR.S	SHOVE
PUT_BCT1	DBF	D5,PUT_BCT3
	SWAP	D5
	MOVE.W	D5,D2
	BEQ.S	PT_END
	BSR.S	SHOVE
PT_END	RTS
;
PUT_BCTE	ADDQ.L	#4,A7
	BRA	PR_E2 ---->
;
SHOVE	MOVEA.L	BLLAB,A1	simply to have a large area!!
	MOVEQ	#IO_SSTRG,D0
	TRAP	#3
	RTS
;
QUIT	MOVEQ	#-13,D0
	MOVE.W	UT_ERR0,A2
	JSR	(A2)
QUIT1	MOVEQ	#MT_FRJOB,D0
	MOVEQ	#-1,D1
	TRAP	#1
;
	HED	<"             GDG 68000/8 ASSEMBLER v",VERSION,10,10>,HEAD0
HEAD0A	DC.W	20
	DC.B	"1  Start assembling",10
HEAD0B	DC.W	8
	DC.B	"2  QUIT",10
HEAD1	DC.W	21
	DC.B	"Give source filename "
PROMPT	DC.W	5
FILE	DC.B	"RAM1_"
	DS.B	35
OBUF	DS.L	3
O_BUF	DS.L	101
BUF	DS.L	64
	DC.W	128
LBUF	DS.L	64
ID_CON	DS.L	1
CH_IN	DS.L	1
CH_OUT	DS.L	1
CH_PRNT	DS.L	1
CH_TMP	DS.L	1
CH_SYM	DS.L	1
CH_LST	DS.L	64
CH_NO	DS.W	1
PCK	DC.W	4
LINE_NO	DS.L	1
MAC_NO	DS.W	1
MAC_CT	DS.W	1
MAC_LST	DS.L	1024
MAC_BUF	DS.L	64
DATA	DC.L	4000
BIN_LINE	DS.W	5
NO_INST	DC.W	125
SIZE	DS.W	1
MARK	DS.W	2
NO_ERRS	DC.L	-1
D_LIST	DC.W	2
	DC.B	'D0'
	DC.W	2
	DC.B	'D1'
	DC.W	2
	DC.B	'D2'
	DC.W	2
	DC.B	'D3'
	DC.W	2
	DC.B	'D4'
	DC.W	2
	DC.B	'D5'
	DC.W	2
	DC.B	'D6'
	DC.W	2
	DC.B	'D7'
A_LIST	DC.W	2
	DC.B	'A0'
	DC.W	2
	DC.B	'A1'
	DC.W	2
	DC.B	'A2'
	DC.W	2
	DC.B	'A3'
	DC.W	2
	DC.B	'A4'
	DC.W	2
	DC.B	'A5'
	DC.W	2
	DC.B	'A6'
	DC.W	2
	DC.B	'A7'
	DC.W	2
	DC.B	'SR'
	DC.W	3
	DC.B	'CCR'
	DC.W	3
	DC.B	'USP'
;
; The PRO_LST is made up of three words and
; two bytes:-
;
;  W1  Instruction word (Template) -> D5
;  W2  Disallowed <ea>s (see Sr EA) These words
;        are together placed in D7
;  B1  PR number (9 -> PR9)
;  B2  Separator types allowed
;	0 = SPACE
;	1 = SPACE or ENTER
;	2 = SPACE or .S
;	3 = SPACE or .B, W, or L
;	4 = .B, W or L
;
PRO_LST	DC.W	0,0,0,0			EQU
	DC.W	$D000,$7E02,$F000,$0604	ADD
	DC.W	$E100,$FFFE,$7602,$0403	ASL
	DC.W	$E000,$FFFE,$7602,$0403	ASR
	DC.W	$6400,0,0,$0202		BCC
	DC.W	$6500,0,0,$0202		BCS
	DC.W	$6700,0,0,$0202		BEQ
	DC.W	$6C00,0,0,$0202		BGE
	DC.W	$6E00,0,0,$0202		BGT
	DC.W	$6200,0,0,$0202		BHI
	DC.W	$6F00,0,0,$0202		BLE
	DC.W	$6300,0,0,$0202		BLS
	DC.W	$6D00,0,0,$0202		BLT
	DC.W	$6B00,0,0,$0202		BMI
	DC.W	$6600,0,0,$0202		BNE
	DC.W	$6A00,0,0,$0202		BPL
	DC.W	$6800,0,0,$0202		BVC
	DC.W	$6900,0,0,$0202		BVS
	DC.W	$6000,0,0,$0202		BRA
	DC.W	$4200,0,$FE02,$0E04 	CLR
	DC.W	$B000,$7FFE,$F000,$0604	CMP
	DC.W	$51C8,$77FF,$FFF2,$0300	DBF
	DC.W	$50C8,$77FF,$FFF2,$0300	DBT
	DC.W	$B100,$FE02,$7FFE,$1C04	EOR
	DC.W	$C140,$FFFC,$7FFC,$1000	EXG
	DC.W	$E108,$FFFE,$7602,$0403	LSL
	DC.W	$E008,$FFFE,$7602,$0403	LSR
	DC.W	$4400,0,$FE02,$0E04 	NEG
	DC.W	$4E71,0,0,$0101		NOP
	DC.W	$4E75,0,0,$0101		RTS
	DC.W	$54C0,0,$FE02,$0E00 	SCC
	DC.W	$55C0,0,$FE02,$0E00 	SCS
	DC.W	$57C0,0,$FE02,$0E00 	SEQ
	DC.W	$5CC0,0,$FE02,$0E00 	SGE
	DC.W	$5EC0,0,$FE02,$0E00 	SGT
	DC.W	$52C0,0,$FE02,$0E00 	SHI
	DC.W	$5FC0,0,$FE02,$0E00 	SLE
	DC.W	$53C0,0,$FE02,$0E00 	SLS
	DC.W	$5DC0,0,$FE02,$0E00 	SLT
	DC.W	$5BC0,0,$FE02,$0E00 	SMI
	DC.W	$56C0,0,$FE02,$0E00 	SNE
	DC.W	$5AC0,0,$FE02,$0E00 	SPL
	DC.W	$58C0,0,$FE02,$0E00 	SVC
	DC.W	$59C0,0,$FE02,$0E00 	SVS
	DC.W	$9000,$7E02,$F000,$0604	SUB
	DC.W	$4A00,0,$FE02,$0E04 	TST
	DC.W	$41C0,$7FFD,$F81B,$0D00	LEA
	DC.W	$C000,$7E02,$F002,$0604	AND
	DC.W	$4800,0,$FFFE,$0F04 	EXT
	DC.W	$4E80,0,$F81B,$0E00 	JSR
	DC.W	0,$CE02,$77FF,$0803 	ORI
	DC.W	$6100,0,0,$0202		BSR
	DC.W	$4180,$7FFE,$F002,$0D00	CHK
	DC.W	$4EC0,0,$F81B,$0E00 	JMP
	DC.W	$4600,0,$FE02,$0E04 	NOT
	DC.W	$4840,0,$F81B,$0E00 	PEA
	DC.W	$E118,$FFFE,$7602,$0403	ROL
	DC.W	$E018,$FFFE,$7602,$0403	ROR
	DC.W	$4E73,0,0,$0101		RTE
	DC.W	$4E77,0,0,$0101		RTR
	DC.W	$4AC0,0,$FE02,$0E00 	TAS
	DC.W	0,0,0,$1B00		PCK
	DC.W	0,0,0,$1D00		LIB
	DC.W	$0600,$FE02,$77FF,$0804	ADDI
	DC.W	$5000,$FF00,$77FF,$0A04	ADDQ
	DC.W	$D100,$7FEF,$FFEE,$0904	ADDX
	DC.W	$D0C0,$7FFD,$F000,$0B04	ADDA
	DC.W	$B0C0,$7FFD,$F000,$0B04	CMPA
	DC.W	$0C00,$FE02,$77FF,$0804	CMPI
	DC.W	$54C8,$77FF,$FFF2,$0300	DBCC
	DC.W	$55C8,$77FF,$FFF2,$0300	DBCS
	DC.W	$57C8,$77FF,$FFF2,$0300	DBEQ
	DC.W	$51C8,$77FF,$FFF2,$0300	DBRA
	DC.W	$5CC8,$77FF,$FFF2,$0300	DBGE
	DC.W	$5EC8,$77FF,$FFF2,$0300	DBGT
	DC.W	$52C8,$77FF,$FFF2,$0300	DBHI
	DC.W	$5FC8,$77FF,$FFF2,$0300	DBLE
	DC.W	$53C8,$77FF,$FFF2,$0300	DBLS
	DC.W	$5DC8,$77FF,$FFF2,$0300	DBLT
	DC.W	$5BC8,$77FF,$FFF2,$0300	DBMI
	DC.W	$56C8,$77FF,$FFF2,$0300	DBNE
	DC.W	$5AC8,$77FF,$FFF2,$0300	DBPL
	DC.W	$58C8,$77FF,$FFF2,$0300	DBVC
	DC.W	$80C0,$7FFE,$F002,$0D00	DIVU
	DC.W	$81C0,$7FFE,$F002,$0D00	DIVS
	DC.W	$0A00,$CE02,$77FF,$0803	EORI
	DC.W	0,$0E00,$8000,$0503 	MOVE
	DC.W	$C0C0,$7FFE,$F002,$0D00	MULU
	DC.W	$C1C0,$7FFE,$F002,$0D00	MULS
	DC.W	$59C8,$77FF,$FFF2,$0300	DBVS
	DC.W	$90C0,$7FFD,$F000,$0B04	SUBA
	DC.W	$4840,0,$FFF6,$0F00 	SWAP
	DC.W	$4E40,0,$77FF,$1600 	TRAP
	DC.W	$0200,$CE02,$77FF,$0803	ANDI
	DC.W	$C100,$7FEF,$FFEE,$0900	ABCD
	DC.W	$0040,$FC02,$77FE,$0C00	BCHG
	DC.W	$0080,$FC02,$77FE,$0C00	BCLR
	DC.W	$00C0,$FC02,$77FE,$0C00	BSET
	DC.W	$0000,$FC02,$77FE,$0C00	BTST
	DC.W	$B100,$7FF7,$FFF7,$0904	CMPM
	DC.W	$4E50,$77FF,$FFFD,$1400	LINK
	DC.W	$4800,0,$FE02,$0E00 	NBCD
	DC.W	$4000,0,$FE02,$0E04 	NEGX
	DC.W	$E110,$FFFE,$7602,$0403	ROXL
	DC.W	$E010,$FFFE,$7602,$0403	ROXR
	DC.W	$8100,$7FEF,$FFEE,$0900	SBCD
	DC.W	$4E72,0,$77FF,$1500 	STOP
	DC.W	$0400,$FE02,$77FF,$0804	SUBI
	DC.W	$9100,0,$FE02,$0904 	SUBX
	DC.W	$4E58,0,$FFFD,$0F00 	UNLK
	DC.W	0,0,0,$1900		DATA
	DC.W	$5100,$FF00,$77FF,$0A04	SUBQ
	DC.W	$51C0,0,$FE02,$0E00 	SF
	DC.W	$50C0,0,$FE02,$0E00 	ST
	DC.W	$8000,$7E02,$F002,$0604	OR
	DC.W	0,0,0,$1704		DS
	DC.W	0,0,0,$1804		DC
	DC.W	0,0,0,$1A00		IN
	DC.W	$2040,$7FFD,$F000,$1104	MOVEA
	DC.W	$7000,$7FFE,$77FF,$1300	MOVEQ
	DC.W	$4880,$FE0B,$F810,$0704	MOVEM
	DC.W	1,$7FFE,$FFDE,$1204 	MOVEP
	DC.W	$4E70,0,0,$0101		RESET
	DC.W	$4E76,0,0,$0101		TRAPV
	DC.W	0,0,0,$1E01		MACRO
;
INST_2	DC.W	5
	DC.W	'IN'
	DC.W	'DC'
	DC.W	'DS'
	DC.W	'OR'
	DC.W	'ST'
	DC.W	'SF'
INST_3	DC.W	62
	DC.B	'LIB',0
	DC.B	'PCK',0
	DC.B	'TAS',0
	DC.B	'RTR',0
	DC.B	'RTE',0
	DC.B	'ROR',0
	DC.B	'ROL',0
	DC.B	'PEA',0
	DC.B	'NOT',0
	DC.B	'JMP',0
	DC.B	'CHK',0
	DC.B	'BSR',0
	DC.B	'ORI',0
	DC.B	'JSR',0
	DC.B	'EXT',0
	DC.B	'AND',0
	DC.B	'LEA',0
	DC.B	'TST',0
	DC.B	'SUB',0
	DC.B	'SVS',0
	DC.B	'SVC',0
	DC.B	'SPL',0
	DC.B	'SNE',0
	DC.B	'SMI',0
	DC.B	'SLT',0
	DC.B	'SLS',0
	DC.B	'SLE',0
	DC.B	'SHI',0
	DC.B	'SGT',0
	DC.B	'SGE',0
	DC.B	'SEQ',0
	DC.B	'SCS',0
	DC.B	'SCC',0
	DC.B	'RTS',0
	DC.B	'NOP',0
	DC.B	'NEG',0
	DC.B	'LSR',0
	DC.B	'LSL',0
	DC.B	'EXG',0
	DC.B	'EOR',0
	DC.B	'DBT',0
	DC.B	'DBF',0
	DC.B	'CMP',0
	DC.B	'CLR',0
	DC.B	'BRA',0
	DC.B	'BVS',0
	DC.B	'BVC',0
	DC.B	'BPL',0
	DC.B	'BNE',0
	DC.B	'BMI',0
	DC.B	'BLT',0
	DC.B	'BLS',0
	DC.B	'BLE',0
	DC.B	'BHI',0
	DC.B	'BGT',0
	DC.B	'BGE',0
	DC.B	'BEQ',0
	DC.B	'BCS',0
	DC.B	'BCC',0
	DC.B	'ASR',0
	DC.B	'ASL',0
	DC.B	'ADD',0
	DC.B	'EQU',0
INST_4	DC.W	48
	DC.B	'SUBQ'
	DC.B	'DATA'
	DC.B	'UNLK'
	DC.B	'SUBX'
	DC.B	'SUBI'
	DC.B	'STOP'
	DC.B	'SBCD'
	DC.B	'ROXR'
	DC.B	'ROXL'
	DC.B	'NEGX'
	DC.B	'NBCD'
	DC.B	'LINK'
	DC.B	'CMPM'
	DC.B	'BTST'
	DC.B	'BSET'
	DC.B	'BCLR'
	DC.B	'BCHG'
	DC.B	'ABCD'
	DC.B	'ANDI'
	DC.B	'TRAP'
	DC.B	'SWAP'
	DC.B	'SUBA'
	DC.B	'DBVS'
	DC.B	'MULS'
	DC.B	'MULU'
	DC.B	'MOVE'
	DC.B	'EORI'
	DC.B	'DIVS'
	DC.B	'DIVU'
	DC.B	'DBVC'
	DC.B	'DBPL'
	DC.B	'DBNE'
	DC.B	'DBMI'
	DC.B	'DBLT'
	DC.B	'DBLS'
	DC.B	'DBLE'
	DC.B	'DBHI'
	DC.B	'DBGT'
	DC.B	'DBGE'
	DC.B	'DBRA'
	DC.B	'DBEQ'
	DC.B	'DBCS'
	DC.B	'DBCC'
	DC.B	'CMPI'
	DC.B	'CMPA'
	DC.B	'ADDA'
	DC.B	'ADDX'
	DC.B	'ADDQ'
	DC.B	'ADDI'
INST_5	DC.W	6
	DC.B	'MACRO',0
	DC.B	'TRAPV',0
	DC.B	'RESET',0
	DC.B	'MOVEP',0
	DC.B	'MOVEM',0
	DC.B	'MOVEQ',0
	DC.B	'MOVEA',0
;
;
PR	DC.L	PR1-PR
	DC.L	PR2-PR
	DC.L	PR3-PR
	DC.L	PR4-PR
	DC.L	PR5-PR
	DC.L	PR6-PR
	DC.L	PR7-PR
	DC.L	PR8-PR
	DC.L	PR9-PR
	DC.L	PR10-PR
	DC.L	PR11-PR
	DC.L	PR12-PR
	DC.L	PR13-PR
	DC.L	PR14-PR
	DC.L	PR15-PR
	DC.L	PR16-PR
	DC.L	PR17-PR
	DC.L	PR18-PR
	DC.L	PR19-PR
	DC.L	PR20-PR
	DC.L	PR21-PR
	DC.L	PR22-PR
	DC.L	PR23-PR
	DC.L	PR24-PR
	DC.L	PR25-PR
	DC.L	PR26-PR
	DC.L	PR27-PR
	DC.L	PR28-PR
	DC.L	PR29-PR
	DC.L	PR30-PR
	DC.L	PR31-PR
O_BEND	EQU	BUF
TMACLST	EQU	MAC_BUF
;
	DC.W	"<<QCFX>>01"
	HED	<"GWASL Assembler">,CFGN
	HED	VERSION,CFGV
;
	DS.W	0
	DC.B	0,"A"
	DC.W	EQU_SYM_MAX-*
	DC.W	0,0
	DC.W	DES-*
	DC.W	STR-*
	DC.W	-1
;
	HED	<"Automatic include file">,DES
STR	DC.W	0
;
EQU_SYM_MAX	DC.W	40
	HED	"flp1_gwass_equ2_sym",EQU_SYM
	DS.B	41-19
	DS.W	0
